# -----
# Function begins
depthCorrection = function(frequency, waterDepth.m, installationHeight.m){
  
  # Physical parameters
  g = 9.81          # gravitational acceleration (m/s^2)
  
  # test quantity
  #waterDepth.m= meanWaterDepth.m[i_burst]
  
  # frequency limits for correction
  minFreq = 0.01
  maxFreq = 0.33
  # maximum correction factor
  maxCorrection = 5
  
  # Calculate wave number (courtesy of Jaco de Smit)
  setwd(functionDirectory)
  source("waveNumber.R")
  k = waveNumber(frequency, waterDepth.m)
  
  depthCorrection = rep(1, times = length(frequency))
  # Determine depth correction factor
  if (waterDepth.m > installationHeight.m) {
    
    # depthCorrection = (cosh(k * (waterDepth.m + installationHeight.m)^2)/cosh(k * waterDepth.m))^2
    depthCorrection = cosh(k * installationHeight.m)/cosh(k * waterDepth.m)
    
    depthCorrection[(frequency < minFreq)] = 1
    depthCorrection[(frequency > maxFreq)] = depthCorrection[frequency == maxFreq]
    depthCorrection[depthCorrection > maxCorrection] = maxCorrection
  }
  
  # plot(depthCorrection ~ frequency, type = 'l', log = 'x')
  
  return(depthCorrection)
}
