rm(list = ls())

#install.packages("Hmisc")
library("Hmisc")
require(scales) #for plotting dates in ggplot
#install.packages("openair")#for the function selectByDate
require(openair)
library(dplyr) # to select top values of dataframe (top_n)
library(tidyr) # %>% function


##Analysis period 1: December-February 2019 ------------
# Function to select maximum water level of interesting tide--------
#this function extracts the rows with maximum water level during the period of analysis. top_n: number of top rows you want to select
# in period 1 the burst are every 15 minutes, we seelct 4, so 1 hour
maxWater<- function (sensor_i) {
  max<-sensor_i %>%
    top_n(n = 4, wt = meanWaterDepth.m ) #now we are selecting 1 hour (every row is every 15 min, but change with the loggers settings)
} #sensor_i corresponds to each sensor

# to do the mean of the selected top rows (peak of the tide), use this function:
meanWater<- function (sensor_i) {
  means<-sensor_i %>%
    summarise_at(vars(-date), list(~mean(., na.rm=TRUE))) #we don't need the variable change here so it doesn't matter if with the mean it changes
}
    

  # load sensors uithuizen --------------------------------------------------------------
  inputDirectory1 = 'C:/' #copy the address to the folder containing the outputs from the waves analysis
  setwd(inputDirectory1) #set working directory
  
  s65 = read.csv('waveParameters_s65.csv') 
  s66 = read.csv('waveParameters_s66.csv') 
  s67 = read.csv('waveParameters_s67.csv') 
  s68 = read.csv('waveParameters_s68.csv') 
  s69 = read.csv('waveParameters_s69.csv') 
  s71 = read.csv('waveParameters_s71.csv') 
  
  #put the correct format to the "date"
  s65$date= as.POSIXct(s65$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s66$date= as.POSIXct(s66$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s67$date= as.POSIXct(s67$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s68$date= as.POSIXct(s68$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s69$date= as.POSIXct(s69$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s71$date= as.POSIXct(s71$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  
  #for future analysis of means, we save the wavelogger Id as number
  s65$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s65$wavelogger.ID)))
  s66$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s66$wavelogger.ID)))
  s67$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s67$wavelogger.ID)))
  s68$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s68$wavelogger.ID)))
  s69$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s69$wavelogger.ID)))
  s71$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s71$wavelogger.ID)))
    
      # s65m = read.csv('waveParameters_s65.csv') ##data subset storm january for chris
      # s66m = read.csv('waveParameters_s66.csv') 
      # s67m = read.csv('waveParameters_s67.csv') 
      # s68m = read.csv('waveParameters_s68.csv') 
      # s69m = read.csv('waveParameters_s69.csv') 
      # s71m = read.csv('waveParameters_s71.csv') 
      # 
      # plot(s65$meanWaterDepth.m~s65m$meanWaterDepth.m)
      # plot(s65$significantWaveHeight.m~s65m$significantWaveHeight.m)
      # 
      # plot(s65$meanWaterDepth.m~s65m$meanWaterDepth.m)
      # plot(s65$significantWaveHeight.m~s65m$significantWaveHeight.m)
      # 
      # plot(s66$meanWaterDepth.m~s66m$meanWaterDepth.m)
      # plot(s66$significantWaveHeight.m~s66m$significantWaveHeight.m)
      # 
      # plot(s67$meanWaterDepth.m~s67m$meanWaterDepth.m)
      # plot(s67$significantWaveHeight.m~s67m$significantWaveHeight.m)
      # 
      # plot(s68$meanWaterDepth.m~s68m$meanWaterDepth.m)
      # plot(s68$significantWaveHeight.m~s68m$significantWaveHeight.m)
      # 
      # plot(s71$meanWaterDepth.m~s71m$meanWaterDepth.m)
      # plot(s71$significantWaveHeight.m~s71m$significantWaveHeight.m)
    
  # load sensors eemshaven ------------------
    
    inputDirectory1 = 'C:/' #copy the address to the folder containing the outputs from the waves analysis
    setwd(inputDirectory1) #set working directory
    
    s62 = read.csv('waveParameters_s62.csv') 
    s63 = read.csv('waveParameters_s63.csv') 
    s64 = read.csv('waveParameters_s64.csv') 
  
    #put the correct format to the "date"
    s62$date= as.POSIXct(s62$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
    s63$date= as.POSIXct(s63$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
    s64$date= as.POSIXct(s64$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
    
    #for future analysis of means, we save the wavelogger Id as number
    s62$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s62$wavelogger.ID)))
    s63$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s63$wavelogger.ID)))
    s64$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s64$wavelogger.ID)))
    
  # load sensors de Andel ---------------
    inputDirectory1 = 'C:/' #copy the address to the folder containing the outputs from the waves analysis
    setwd(inputDirectory1) #set working directory
    
    s72 = read.csv('waveParameters_s72.csv') 
    s73 = read.csv('waveParameters_s73.csv') 
    s75 = read.csv('waveParameters_s75.csv')
    s76 = read.csv('waveParameters_s76.csv')
    
    #put the correct format to the "date"
    s72$date= as.POSIXct(s72$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
    s73$date= as.POSIXct(s73$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
    s75$date= as.POSIXct(s75$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
    s76$date= as.POSIXct(s76$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
    
    #for future analysis of means, we save the wavelogger Id as number
    s72$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s72$wavelogger.ID)))
    s73$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s73$wavelogger.ID)))
    s75$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s75$wavelogger.ID)))
    s76$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s76$wavelogger.ID)))
    
      # s72m = read.csv('waveParameters_s72.csv')  ##subset for chris
      # s73m = read.csv('waveParameters_s73.csv') 
      # s75m = read.csv('waveParameters_s75.csv')
      # s76m = read.csv('waveParameters_s76.csv')
      
      # plot(s72$meanWaterDepth.m~s72m$meanWaterDepth.m)
      # plot(s72$significantWaveHeight.m~s72m$significantWaveHeight.m)
      # 
      # plot(s65$meanWaterDepth.m~s65m$meanWaterDepth.m)
      # plot(s65$significantWaveHeight.m~s65m$significantWaveHeight.m)
      # 
      # plot(s66$meanWaterDepth.m~s66m$meanWaterDepth.m)
      # plot(s66$significantWaveHeight.m~s66m$significantWaveHeight.m)
      # 
      # plot(s67$meanWaterDepth.m~s67m$meanWaterDepth.m)
      # plot(s67$significantWaveHeight.m~s67m$significantWaveHeight.m)
    
  # create the list of dataframes where you  want to apply the function: select by date + check plots period1------------------
    xall<- list(s62,s63, s64, s65,s67,s68,s69,s66,s71,s72,s73,s75,s76) ##list with all the sensors and all dates
    all_x<-do.call("bind_rows", xall) # from list to dataframe (to be able to use ggplot)
    #Check with a plot that all sensors overlap
    ggplot(all_x, aes(x=date,y = significantWaveHeight.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
      geom_line(aes(col=wavelogger.ID)) +
      scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "1 day", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
      theme_bw()
    
    #plot water levels from the different sensors. 
    ggplot() +
      #geom_line(data=s62, aes(x = date, y = meanWaterDepth.m), col= "red") +
      #geom_line(data=s63, aes(x = date, y = meanWaterDepth.m), col= "green") +
      #geom_line(data=s64, aes(x = date, y = meanWaterDepth.m), col= "blue") +
       geom_line(data=s65, aes(x = date, y = meanWaterDepth.m), col= "grey") +
       geom_line(data=s67, aes(x = date, y = meanWaterDepth.m), col= "blue") +
       geom_line(data=s68, aes(x = date, y = meanWaterDepth.m), col= "red") +
      # geom_line(data=s66, aes(x = date, y = meanWaterDepth.m), col= "grey") +
      # geom_line(data=s69, aes(x = date, y = meanWaterDepth.m), col= "green") +
      # geom_line(data=s71, aes(x = date, y = meanWaterDepth.m), col= "red") +
     # geom_line(data=s72, aes(x = date, y = meanWaterDepth.m), col= "green") +
      # geom_line(data=s73, aes(x = date, y = meanWaterDepth.m), col= "green") +
      # geom_line(data=s75, aes(x = date, y = meanWaterDepth.m), col= "red") +
      # geom_line(data=s76, aes(x = date, y = meanWaterDepth.m), col= "grey") +
      scale_x_datetime(labels = date_format("%Y-%m-%d %H"),date_breaks = "12 hours", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
      labs(x = "Date", y = "mean water level (m)") +
      theme_bw() 
    
    #plot significant wave height
    ggplot() +
       geom_line(data=s65, aes(x = date, y = significantWaveHeight.m), col= "blue") +
       geom_line(data=s67, aes(x = date, y = significantWaveHeight.m), col= "green") +
       geom_line(data=s68, aes(x = date, y = significantWaveHeight.m), col= "red") +
      # geom_line(data=s72, aes(x = date, y = significantWaveHeight.m), col= "blue") +
      # geom_line(data=s73, aes(x = date, y = significantWaveHeight.m), col= "green") +
      # geom_line(data=s75, aes(x = date, y = significantWaveHeight.m), col= "red") +
      # geom_line(data=s76, aes(x = date, y = significantWaveHeight.m), col= "grey") +
      scale_x_datetime(labels = date_format("%Y-%m-%d %H"),date_breaks = "1 day", guide = guide_axis(angle = 90)) +
      labs(x = "Date", y = "Hs") +
      theme_bw()
    
 
    
    ##storm Jan1 (1st of January) -------------
      ##We don't include sensors 72, 73, 75 and 76 because start recording the 2nd of january after the storm. So we do a separated list with the sensors of interest to apply the next functions
      x1<- list(s62,s63, s64, s65,s67,s68,s69,s66,s71)
      
      #create a function to obtain the days we want. From here we check the exact time of every interesting tide for following subset
      select_date<- function (data) {
        subset <- selectByDate(data, start = "2018-12-31", end = "2019-01-02") # to select specific "hours"we need a different function
      }
      
      subset_jan1<-lapply(x1, select_date) # "x" is the list of element to which you want to apply the function. "Myfunction"is the function created previously
      
      #visually check subset
      jan1<-do.call("bind_rows", subset_jan1)
      ggplot(jan1, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_line(aes(col=wavelogger.ID)) +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "2 hours", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
        theme_bw()
      #we only want the middle high tide here, so we don't need to subset more, only to the max of here
      max_jan1list<-lapply(subset_jan1, maxWater)
      mean_jan1list<-lapply(max_jan1list, meanWater)
      
      #check visually the max and mean
      max_jan1<-do.call("bind_rows", max_jan1list) #function from dplyr to merge all dataframes from a list into one dataframe
      max_jan1$wavelogger.ID2<- as.character(max_jan1$wavelogger.ID2)
      ggplot(max_jan1, aes(x=date,y = significantWaveHeight.m, fill=wavelogger.ID2 )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_point(aes(col=wavelogger.ID2, size=2)) +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "15 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
        theme_bw()
      mean_jan1<-do.call("bind_rows", mean_jan1list) #function from dplyr to merge all dataframes from a list into one dataframe
      mean_jan1$wavelogger.ID2<- as.character(mean_jan1$wavelogger.ID2)
      ggplot(mean_jan1, aes(x=meanWaterDepth.m,y = significantWaveHeight.m, fill=wavelogger.ID2 )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_point(aes(col=wavelogger.ID2, size=2)) +
        theme_bw()
      mean_jan1["date"] <- "jan1"
      
      #save the means in a csv
      inputDirectory1 = 'C:/' #copy the address to the folder where you want to save the means
      setwd(inputDirectory1) #set working directory
      #write.csv(mean_jan1, file = "2019_01_01.csv")
      
      #if you want to extract each sensor into a separate dataframe
      # jan1_62max <-as.data.frame(means_jan1list[1]) 

    ##storms Jan8 (8th of January) -------------
      #create a function to obtain the days we want. From here we check the exact time of every interesting tide for following subset
      select_date<- function (data) {
        subset <- selectByDate(data, start = "2019-01-07", end = "2019-01-09") # to select specific "hours"we need a different function
      }
      subset_jan8<-lapply(xall, select_date) # "x" is the list of element to which you want to apply the function. "Myfunction"is the function created previously
      
      
      #visually check subset. 
      jan8<-do.call("bind_rows", subset_jan8)
      ggplot(jan8, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_line(aes(col=wavelogger.ID)) +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "30 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
        theme_bw()
      
      #We are interested in the 3 highest tides, so we have to subset each tide
        ##subset 1st storm 8th january 2019(jan8_1)
            select_tide<- function (data) {
              subsetjan <- subset(data,
                                  date > '2019-01-07 20:00:00' &
                                    date < '2019-01-08 04:30:00')
            }
            subset_jan8_1<-lapply(xall, select_tide) # "x" is the list of element to which you want to apply the function. 
            #check visually
            jan8_1<-do.call("bind_rows", subset_jan8_1)
            ggplot(jan8_1, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
              geom_line(aes(col=wavelogger.ID)) +
              scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "30 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
              theme_bw()
            
            max_jan8_1list<-lapply(subset_jan8_1, maxWater)
            mean_jan8_1list<-lapply(max_jan8_1list, meanWater)
            
            #check visually the max and mean
            max_jan8_1<-do.call("bind_rows", max_jan8_1list) #function from dplyr to merge all dataframes from a list into one dataframe
            max_jan8_1$wavelogger.ID2<- as.character(max_jan8_1$wavelogger.ID2)
            ggplot(max_jan8_1, aes(x=date,y = significantWaveHeight.m, fill=wavelogger.ID2 )) + ##plot of the most seaward sensors and most landward (marsh)
              geom_point(aes(col=wavelogger.ID2, size=2)) +
              scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "15 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
              theme_bw()
            mean_jan8_1<-do.call("bind_rows", mean_jan8_1list) #function from dplyr to merge all dataframes from a list into one dataframe
            mean_jan8_1$wavelogger.ID2<- as.character(mean_jan8_1$wavelogger.ID2)
            ggplot(mean_jan8_1, aes(x=meanWaterDepth.m,y = significantWaveHeight.m, fill=wavelogger.ID2 )) + ##plot of the most seaward sensors and most landward (marsh)
              geom_point(aes(col=wavelogger.ID2, size=2)) +
              theme_bw()
            mean_jan8_1["date"] <- "jan8_1"
            
            #save the means in a csv
            inputDirectory1 = 'C:/' #copy the address to the folder where you want to save the means
            setwd(inputDirectory1) #set working directory
            #write.csv(mean_jan8_1, file = "2019_01_08_storm1.csv")
            
                
           
        ##subset 2nd storm 8th january 2019(jan8_2)
            select_tide<- function (data) {
              subsetjan <- subset(data,
                                  date > '2019-01-08 06:30:00' &
                                    date < '2019-01-08 17:00:00')
            }
            subset_jan8_2<-lapply(xall, select_tide) # "x" is the list of element to which you want to apply the function. 
            #check visually
            jan8_2<-do.call("bind_rows", subset_jan8_2)
            ggplot(jan8_2, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
              geom_line(aes(col=wavelogger.ID)) +
              scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "30 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
              theme_bw()
            
            max_jan8_2list<-lapply(subset_jan8_2, maxWater)
            mean_jan8_2list<-lapply(max_jan8_2list, meanWater)
            
            #check visually the max and mean
            max_jan8_2<-do.call("bind_rows", max_jan8_2list) #function from dplyr to merge all dataframes from a list into one dataframe
            max_jan8_2$wavelogger.ID2<- as.character(max_jan8_2$wavelogger.ID2)
            ggplot(max_jan8_2, aes(x=date,y = significantWaveHeight.m, fill=wavelogger.ID2 )) + ##plot of the most seaward sensors and most landward (marsh)
              geom_point(aes(col=wavelogger.ID2, size=2)) +
              scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "15 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
              theme_bw()
            mean_jan8_2<-do.call("bind_rows", mean_jan8_2list) #function from dplyr to merge all dataframes from a list into one dataframe
            mean_jan8_2$wavelogger.ID2<- as.character(mean_jan8_2$wavelogger.ID2)
            ggplot(mean_jan8_2, aes(x=meanWaterDepth.m,y = significantWaveHeight.m, fill=wavelogger.ID2 )) + ##plot of the most seaward sensors and most landward (marsh)
              geom_point(aes(col=wavelogger.ID2, size=2)) +
              theme_bw()
            mean_jan8_2["date"] <- "jan8_2"
            
            #save the means in a csv
            inputDirectory1 = 'C:/' #copy the address to the folder where you want to save the means
            setwd(inputDirectory1) #set working directory
            #write.csv(mean_jan8_2, file = "2019_01_08_storm2.csv")
          
        ##subset 3rd storm 8th january 2019(jan8_3)
          select_tide<- function (data) {
            subsetjan <- subset(data,
                                date > '2019-01-08 20:00:00' &
                                  date < '2019-01-09 03:30:00')
          }
          subset_jan8_3<-lapply(xall, select_tide) # "x" is the list of element to which you want to apply the function. 
          #check visually
          jan8_3<-do.call("bind_rows", subset_jan8_3)
          ggplot(jan8_3, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
            geom_line(aes(col=wavelogger.ID)) +
            scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "30 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
            theme_bw()
          
          max_jan8_3list<-lapply(subset_jan8_3, maxWater)
          mean_jan8_3list<-lapply(max_jan8_3list, meanWater)
          
          #check visually the max and mean
          max_jan8_3<-do.call("bind_rows", max_jan8_3list) #function from dplyr to merge all dataframes from a list into one dataframe
          max_jan8_3$wavelogger.ID2<- as.character(max_jan8_3$wavelogger.ID2)
          ggplot(max_jan8_3, aes(x=date,y = significantWaveHeight.m, fill=wavelogger.ID2 )) + ##plot of the most seaward sensors and most landward (marsh)
            geom_point(aes(col=wavelogger.ID2, size=2)) +
            scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "15 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
            theme_bw()
          mean_jan8_3<-do.call("bind_rows", mean_jan8_3list) #function from dplyr to merge all dataframes from a list into one dataframe
          mean_jan8_3$wavelogger.ID2<- as.character(mean_jan8_3$wavelogger.ID2)
          ggplot(mean_jan8_3, aes(x=meanWaterDepth.m,y = significantWaveHeight.m, fill=wavelogger.ID2 )) + ##plot of the most seaward sensors and most landward (marsh)
            geom_point(aes(col=wavelogger.ID2, size=2)) +
            theme_bw()
          mean_jan8_3["date"] <- "jan8_3"
          
          #save the means in a csv
          inputDirectory1 = 'C:/' #copy the address to the folder where you want to save the means
          setwd(inputDirectory1) #set working directory
          #write.csv(mean_jan8_3, file = "2019_01_08_storm3.csv")
          
 

          
## Analysis period 2: 8 February - June 2019 -----------
  # Function to select maximum water level of interesting tide--------
  #this function extracts the rows with maximum water level during the period of analysis. top_n: number of top rows you want to select
  # in period 2 the burst are every 15 minutes, we seelct 4, so 1 hour
  maxWater<- function (sensor_i) {
    max<-sensor_i %>%
      top_n(n = 4, wt = meanWaterDepth.m ) #now we are selecting 1 hour (every row is every 15 min, but change with the loggers settings)
  } #sensor_i corresponds to each sensor
  
  # to do the mean of the selected top rows (peak of the tide), use this function:
  meanWater<- function (sensor_i) {
    means<-sensor_i %>%
      summarise_at(vars(-date), list(~mean(., na.rm=TRUE))) #we don't need the variable change here so it doesn't matter if with the mean it changes
  }
                    
  #load sensors Uithuizen
  inputDirectory1 = 'C:/' #copy the address to the folder containing the outputs from the waves analysis
  setwd(inputDirectory1) #set working directory
  s65 = read.csv('waveParameters_s65.csv') 
  s66 = read.csv('waveParameters_s66.csv') 
  s67 = read.csv('waveParameters_s67.csv') 
  s68 = read.csv('waveParameters_s68.csv') 
  s69 = read.csv('waveParameters_s69.csv') 
  s70 = read.csv('waveParameters_s70.csv')
  s71 = read.csv('waveParameters_s71.csv') 
  
  #put the correct format to the "date"
  s65$date= as.POSIXct(s65$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s66$date= as.POSIXct(s66$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s67$date= as.POSIXct(s67$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s68$date= as.POSIXct(s68$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s69$date= as.POSIXct(s69$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s70$date= as.POSIXct(s70$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s71$date= as.POSIXct(s71$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  
  s65$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s65$wavelogger.ID)))
  s66$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s66$wavelogger.ID)))
  s67$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s67$wavelogger.ID)))
  s68$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s68$wavelogger.ID)))
  s69$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s69$wavelogger.ID)))
  s70$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s70$wavelogger.ID)))
  s71$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s71$wavelogger.ID)))
  
  #load sensors den andel
  inputDirectory1 = 'C:/' #copy the address to the folder containing the outputs from the waves analysis
  setwd(inputDirectory1) #set working directory
  

  
  # load sensors uithuizen --------------------------------------------------------------
  inputDirectory1 = 'C:/' #copy the address to the folder containing the outputs from the waves analysis
  setwd(inputDirectory1) #set working directory
  
  s65 = read.csv('waveParameters_s65.csv') 
  s66 = read.csv('waveParameters_s66.csv') 
  s67 = read.csv('waveParameters_s67.csv') 
  s68 = read.csv('waveParameters_s68.csv') 
  s69 = read.csv('waveParameters_s69.csv') 
  s70 = read.csv('waveParameters_s70.csv')
  s71 = read.csv('waveParameters_s71.csv') 
  
  #put the correct format to the "date"
  s65$date= as.POSIXct(s65$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s66$date= as.POSIXct(s66$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s67$date= as.POSIXct(s67$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s68$date= as.POSIXct(s68$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s69$date= as.POSIXct(s69$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s70$date= as.POSIXct(s70$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s71$date= as.POSIXct(s71$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  
  #for future analysis of means, we save the wavelogger Id as number
  s65$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s65$wavelogger.ID)))
  s66$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s66$wavelogger.ID)))
  s67$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s67$wavelogger.ID)))
  s68$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s68$wavelogger.ID)))
  s69$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s69$wavelogger.ID)))
  s70$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s70$wavelogger.ID)))
  s71$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s71$wavelogger.ID)))
  
  # load sensors eemshaven ------------------
  
  inputDirectory1 = 'C:/' #copy the address to the folder containing the outputs from the waves analysis
  setwd(inputDirectory1) #set working directory
  
  s62 = read.csv('waveParameters_s62.csv') 
  s63 = read.csv('waveParameters_s63.csv') 
  s64 = read.csv('waveParameters_s64.csv') 
  
  #put the correct format to the "date"
  s62$date= as.POSIXct(s62$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s63$date= as.POSIXct(s63$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s64$date= as.POSIXct(s64$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  
  #for future analysis of means, we save the wavelogger Id as number
  s62$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s62$wavelogger.ID)))
  s63$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s63$wavelogger.ID)))
  s64$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s64$wavelogger.ID)))
  
  # load sensors de Andel ---------------
  inputDirectory1 = 'C:/' #copy the address to the folder containing the outputs from the waves analysis
  setwd(inputDirectory1) #set working directory
  
  s73 = read.csv('waveParameters_s73.csv') 
  s75 = read.csv('waveParameters_s75.csv')
  s76 = read.csv('waveParameters_s76.csv')
  
  #put the correct format to the "date"
  s73$date= as.POSIXct(s73$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s75$date= as.POSIXct(s75$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s76$date= as.POSIXct(s76$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  
  #for future analysis of means, we save the wavelogger Id as number
  s73$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s73$wavelogger.ID)))
  s75$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s75$wavelogger.ID)))
  s76$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s76$wavelogger.ID)))
  
  
  # create the list of dataframes where you  want to apply the function: select by date + check plots period1------------------
  xall<- list(s62,s63, s64, s65,s67,s68,s69,s66,s71,s70,s73,s75,s76) ##list with all the sensors and all dates
  all_x<-do.call("bind_rows", xall) # from list to dataframe (to be able to use ggplot)
  #Check with a plot that all sensors overlap
  ggplot(all_x, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
    geom_line(aes(col=wavelogger.ID)) +
    scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "1 day", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
    theme_bw()
  
  #plot water levels from the different sensors. 
  ggplot() +
    #geom_line(data=s62, aes(x = date, y = meanWaterDepth.m), col= "red") +
    #geom_line(data=s63, aes(x = date, y = meanWaterDepth.m), col= "green") +
    #geom_line(data=s64, aes(x = date, y = meanWaterDepth.m), col= "blue") +
    geom_line(data=s65, aes(x = date, y = meanWaterDepth.m), col= "grey") +
    geom_line(data=s67, aes(x = date, y = meanWaterDepth.m), col= "blue") +
    geom_line(data=s68, aes(x = date, y = meanWaterDepth.m), col= "red") +
    # geom_line(data=s66, aes(x = date, y = meanWaterDepth.m), col= "grey") +
    # geom_line(data=s69, aes(x = date, y = meanWaterDepth.m), col= "green") +
    # geom_line(data=s71, aes(x = date, y = meanWaterDepth.m), col= "red") +
    # geom_line(data=s72, aes(x = date, y = meanWaterDepth.m), col= "green") +
    # geom_line(data=s73, aes(x = date, y = meanWaterDepth.m), col= "green") +
    # geom_line(data=s75, aes(x = date, y = meanWaterDepth.m), col= "red") +
    # geom_line(data=s76, aes(x = date, y = meanWaterDepth.m), col= "grey") +
    scale_x_datetime(labels = date_format("%Y-%m-%d %H"),date_breaks = "12 hours", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
    labs(x = "Date", y = "mean water level (m)") +
    theme_bw() 
  
  #plot significant wave height
  ggplot() +
    geom_line(data=s65, aes(x = date, y = significantWaveHeight.m), col= "blue") +
    geom_line(data=s67, aes(x = date, y = significantWaveHeight.m), col= "green") +
    geom_line(data=s68, aes(x = date, y = significantWaveHeight.m), col= "red") +
    # geom_line(data=s72, aes(x = date, y = significantWaveHeight.m), col= "blue") +
    # geom_line(data=s73, aes(x = date, y = significantWaveHeight.m), col= "green") +
    # geom_line(data=s75, aes(x = date, y = significantWaveHeight.m), col= "red") +
    # geom_line(data=s76, aes(x = date, y = significantWaveHeight.m), col= "grey") +
    scale_x_datetime(labels = date_format("%Y-%m-%d %H"),date_breaks = "1 day", guide = guide_axis(angle = 90)) +
    labs(x = "Date", y = "Hs") +
    theme_bw()
  
  ##storm 10 march 2019------
  #create a function to obtain the days we want. From here we check the exact time of every interesting tide for following subset
  select_tide<- function (data) {
    subsetjan <- subset(data,
                        date > '2019-03-09 20:00:00' &
                          date < '2019-03-10 05:30:00')
  }
 
  subset_march10<-lapply(xall, select_tide) # "x" is the list of element to which you want to apply the function. "Myfunction"is the function created previously
  
  #visually check subset
  march10<-do.call("bind_rows", subset_march10)
  ggplot(march10, aes(x=date,y = significantWaveHeight.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
    geom_line(aes(col=wavelogger.ID)) +
    scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "1 hour", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
    theme_bw()
  #we only want the middle high tide here, so we don't need to subset more, only to the max of here
  max_march10list<-lapply(subset_march10, maxWater)
  mean_march10list<-lapply(max_march10list, meanWater)
  
  #check visually the max and mean
  max_march10<-do.call("bind_rows", max_march10list) #function from dplyr to merge all dataframes from a list into one dataframe
  max_march10$wavelogger.ID2<- as.character(max_march10$wavelogger.ID2)
  ggplot(max_march10, aes(x=date,y = significantWaveHeight.m, fill=wavelogger.ID2 )) + ##plot of the most seaward sensors and most landward (marsh)
    geom_point(aes(col=wavelogger.ID2, size=2)) +
    scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "15 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
    theme_bw()
  mean_march10<-do.call("bind_rows", mean_march10list) #function from dplyr to merge all dataframes from a list into one dataframe
  mean_march10$wavelogger.ID2<- as.character(mean_march10$wavelogger.ID2)
  ggplot(mean_march10, aes(x=meanWaterDepth.m,y = significantWaveHeight.m, fill=wavelogger.ID2 )) + ##plot of the most seaward sensors and most landward (marsh)
    geom_point(aes(col=wavelogger.ID2, size=2)) +
    theme_bw()
  mean_march10["date"] <- "march10"
  
  #save the means in a csv
  inputDirectory1 = 'C:/' #copy the address to the folder where you want to save the means
  setwd(inputDirectory1) #set working directory
  #write.csv(mean_march10, file = "2019_03_10.csv")
  
  ##storm 25 march 2019------
  #create a function to obtain the days we want. From here we check the exact time of every interesting tide for following subset
  select_tide<- function (data) {
    subsetjan <- subset(data,
                        date > '2019-03-25 10:00:00' &
                          date < '2019-03-25 18:30:00')
  }
  
  subset_march25<-lapply(xall, select_tide) # "x" is the list of element to which you want to apply the function. "Myfunction"is the function created previously
  
  #visually check subset
  march25<-do.call("bind_rows", subset_march25)
  ggplot(march25, aes(x=date,y = significantWaveHeight.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
    geom_line(aes(col=wavelogger.ID)) +
    scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "1 hour", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
    theme_bw()
  #we only want the middle high tide here, so we don't need to subset more, only to the max of here
  max_march25list<-lapply(subset_march25, maxWater)
  mean_march25list<-lapply(max_march25list, meanWater)
  
  #check visually the max and mean
  max_march25<-do.call("bind_rows", max_march25list) #function from dplyr to merge all dataframes from a list into one dataframe
  max_march25$wavelogger.ID2<- as.character(max_march25$wavelogger.ID2)
  ggplot(max_march25, aes(x=date,y = significantWaveHeight.m, fill=wavelogger.ID2 )) + ##plot of the most seaward sensors and most landward (marsh)
    geom_point(aes(col=wavelogger.ID2, size=2)) +
    scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "15 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
    theme_bw()
  mean_march25<-do.call("bind_rows", mean_march25list) #function from dplyr to merge all dataframes from a list into one dataframe
  mean_march25$wavelogger.ID2<- as.character(mean_march25$wavelogger.ID2)
  ggplot(mean_march25, aes(x=meanWaterDepth.m,y = significantWaveHeight.m, fill=wavelogger.ID2 )) + ##plot of the most seaward sensors and most landward (marsh)
    geom_point(aes(col=wavelogger.ID2, size=2)) +
    theme_bw()
  mean_march25["date"] <- "march25"
  
  #save the means in a csv
  inputDirectory1 = 'C:/' #copy the address to the folder where you want to save the means
  setwd(inputDirectory1) #set working directory
  #write.csv(mean_march25, file = "2019_03_25.csv")
  
  
  
## Analysis period 3 part1: 10-sept 2019 - 3Nov 2019 - for storm 30 september 2019---------- 
  # Function to select maximum water level of interesting tide--------
  #this function extracts the rows with maximum water level during the period of analysis. top_n: number of top rows you want to select
  # in period 3 the burst are every 1h and 10 minutes, we seelect 1 (so 1 hour)
  maxWater<- function (sensor_i) {
    max<-sensor_i %>%
      top_n(n = 1, wt = meanWaterDepth.m ) #now we are selecting 1 hour (every row is every 15 min, but change with the loggers settings)
  } #sensor_i corresponds to each sensor
  
  # to do the mean of the selected top rows (peak of the tide), use this function:
  meanWater<- function (sensor_i) {
    means<-sensor_i %>%
      summarise_at(vars(-date), list(~mean(., na.rm=TRUE))) #we don't need the variable change here so it doesn't matter if with the mean it changes
  }
  # load sensors uithuizen --------------------------------------------------------------
  inputDirectory1 = 'C:/' #copy the address to the folder containing the outputs from the waves analysis
  setwd(inputDirectory1) #set working directory
  
  s65 = read.csv('waveParameters_s65.csv') 
  s66 = read.csv('waveParameters_s66.csv') 
  s67 = read.csv('waveParameters_s67.csv') 
  s68 = read.csv('waveParameters_s68.csv') 
  s69 = read.csv('waveParameters_s69.csv') 
  s70 = read.csv('waveParameters_s70.csv')
  s71 = read.csv('waveParameters_s71.csv') 
  
  #put the correct format to the "date"
  s65$date= as.POSIXct(s65$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s66$date= as.POSIXct(s66$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s67$date= as.POSIXct(s67$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s68$date= as.POSIXct(s68$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s69$date= as.POSIXct(s69$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s70$date= as.POSIXct(s70$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s71$date= as.POSIXct(s71$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  
  #for future analysis of means, we save the wavelogger Id as number
  s65$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s65$wavelogger.ID)))
  s66$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s66$wavelogger.ID)))
  s67$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s67$wavelogger.ID)))
  s68$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s68$wavelogger.ID)))
  s69$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s69$wavelogger.ID)))
  s70$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s70$wavelogger.ID)))
  s71$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s71$wavelogger.ID)))
  
  # load sensors eemshaven ------------------
  
  inputDirectory1 = 'C:/' #copy the address to the folder containing the outputs from the waves analysis
  setwd(inputDirectory1) #set working directory
  
  s62 = read.csv('waveParameters_s62.csv')
  s63 = read.csv('waveParameters_s63.csv') 
  s64 = read.csv('waveParameters_s64.csv') 
  
  #put the correct format to the "date"
  s62$date= as.POSIXct(s62$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s63$date= as.POSIXct(s63$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s64$date= as.POSIXct(s64$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  
  #for future analysis of means, we save the wavelogger Id as number
  s62$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s62$wavelogger.ID)))
  s63$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s63$wavelogger.ID)))
  s64$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s64$wavelogger.ID)))
  
  # load sensors de Andel ---------------
  inputDirectory1 = 'C:/' #copy the address to the folder containing the outputs from the waves analysis
  setwd(inputDirectory1) #set working directory
  
  s72 = read.csv('waveParameters_s72.csv') 
  s73 = read.csv('waveParameters_s73.csv')
  s75 = read.csv('waveParameters_s75.csv')
  s76 = read.csv('waveParameters_s76.csv')
  
  #put the correct format to the "date"
  s72$date= as.POSIXct(s72$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s73$date= as.POSIXct(s73$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s75$date= as.POSIXct(s75$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s76$date= as.POSIXct(s76$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  
  #for future analysis of means, we save the wavelogger Id as number
  s72$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s72$wavelogger.ID)))
  s73$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s73$wavelogger.ID)))
  s75$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s75$wavelogger.ID)))
  s76$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s76$wavelogger.ID)))
  
  # create the list of dataframes where you  want to apply the function: select by date + check plots period1------------------  
  xall<- list(s62,s63, s64, s65,s67,s68,s69,s66,s71,s70, s72,s73,s75,s76) ##list with all the sensors and all dates
  all_x<-do.call("bind_rows", xall) # from list to dataframe (to be able to use ggplot)
  #Check with a plot that all sensors overlap
  ggplot(all_x, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
    geom_line(aes(col=wavelogger.ID)) +
    scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "1 day", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
    theme_bw()
  ggplot(all_x, aes(x=date,y = significantWaveHeight.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
    geom_line(aes(col=wavelogger.ID)) +
    scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "1 day", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
    theme_bw()
  
  #plot water levels from the different sensors. 
  ggplot() +
    geom_line(data=s62, aes(x = date, y = meanWaterDepth.m), col= "red") +
    #geom_line(data=s63, aes(x = date, y = meanWaterDepth.m), col= "green") +
    # geom_line(data=s64, aes(x = date, y = meanWaterDepth.m), col= "blue") +
    # geom_line(data=s65, aes(x = date, y = meanWaterDepth.m), col= "grey") +
    # geom_line(data=s67, aes(x = date, y = meanWaterDepth.m), col= "grey") +
    geom_line(data=s68, aes(x = date, y = meanWaterDepth.m), col= "blue") +
    #geom_line(data=s56, aes(x = date, y = meanWaterDepth.m), col= "green") +
    # geom_line(data=s66, aes(x = date, y = meanWaterDepth.m), col= "grey") +
    # geom_line(data=s69, aes(x = date, y = meanWaterDepth.m), col= "green") +
    # geom_line(data=s71, aes(x = date, y = meanWaterDepth.m), col= "red") +
    # geom_line(data=s72, aes(x = date, y = meanWaterDepth.m), col= "green") +
    # geom_line(data=s73, aes(x = date, y = meanWaterDepth.m), col= "green") +
  # geom_line(data=s75, aes(x = date, y = meanWaterDepth.m), col= "red") +
  # geom_line(data=s76, aes(x = date, y = meanWaterDepth.m), col= "grey") +
  scale_x_datetime(labels = date_format("%Y-%m-%d %H"),date_breaks = "12 hours", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
    labs(x = "Date", y = "mean water level (m)") +
    theme_bw() 
  
  #plot significant wave height
  ggplot() +
    # geom_line(data=s65, aes(x = date, y = significantWaveHeight.m), col= "blue") +
    geom_line(data=s62, aes(x = date, y = significantWaveHeight.m), col= "green") +
    geom_line(data=s68, aes(x = date, y = significantWaveHeight.m), col= "red") +
    # geom_line(data=s72, aes(x = date, y = significantWaveHeight.m), col= "blue") +
    # geom_line(data=s73, aes(x = date, y = significantWaveHeight.m), col= "green") +
    # geom_line(data=s75, aes(x = date, y = significantWaveHeight.m), col= "red") +
    # geom_line(data=s76, aes(x = date, y = significantWaveHeight.m), col= "grey") +
    scale_x_datetime(labels = date_format("%Y-%m-%d %H"),date_breaks = "1 day", guide = guide_axis(angle = 90)) +
    labs(x = "Date", y = "Hs") +
    theme_bw()   
  
  
  ##storm 30 september (runup)  -------------
  #create a function to obtain the days we want. From here we check the exact time of every interesting tide for following subset
  select_date<- function (data) {
    subset <- selectByDate(data, start = "2019-09-30", end = "2019-09-30") # to select specific "hours"we need a different function
  }
  
  subset_sept30<-lapply(xall, select_date) # "x" is the list of element to which you want to apply the function. "Myfunction"is the function created previously
  
  #visually check subset
  sept30<-do.call("bind_rows", subset_sept30)
  ggplot(sept30, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
    geom_line(aes(col=wavelogger.ID)) +
    scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "1 hour", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
    theme_bw()
  #we only want the middle high tide here, so we don't need to subset more, only to the max of here
  max_sept30list<-lapply(subset_sept30, maxWater)
  mean_sept30list<-lapply(max_sept30list, meanWater)
  
  #check visually the max and mean
  max_sept30<-do.call("bind_rows", max_sept30list) #function from dplyr to merge all dataframes from a list into one dataframe
  max_sept30$wavelogger.ID2<- as.character(max_sept30$wavelogger.ID2)
  ggplot(max_sept30, aes(x=date,y = significantWaveHeight.m, fill=wavelogger.ID2 )) + ##plot of the most seaward sensors and most landward (marsh)
    geom_point(aes(col=wavelogger.ID2, size=2)) +
    scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "15 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
    theme_bw()
  mean_sept30<-do.call("bind_rows", mean_sept30list) #function from dplyr to merge all dataframes from a list into one dataframe
  mean_sept30$wavelogger.ID2<- as.character(mean_sept30$wavelogger.ID2)
  ggplot(mean_sept30, aes(x=meanWaterDepth.m,y = significantWaveHeight.m, fill=wavelogger.ID2 )) + ##plot of the most seaward sensors and most landward (marsh)
    geom_point(aes(col=wavelogger.ID2, size=2)) +
    theme_bw()
  mean_sept30["date"] <- "sept30"
  
  #save the means in a csv
  inputDirectory1 = 'C:/' #copy the address to the folder where you want to save the means
  setwd(inputDirectory1) #set working directory
  #write.csv(mean_sept30, file = "2019_09_30.csv")

  
  ##storm 17 september  -------------
  #create a function to obtain the days we want. From here we check the exact time of every interesting tide for following subset
  select_date<- function (data) {
    subset <- selectByDate(data, start = "2019-09-17", end = "2019-09-17") # to select specific "hours"we need a different function
  }
  
  subset_sept17<-lapply(xall, select_date) # "x" is the list of element to which you want to apply the function. "Myfunction"is the function created previously
  
  #visually check subset
  sept17<-do.call("bind_rows", subset_sept17)
  ggplot(sept17, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
    geom_line(aes(col=wavelogger.ID)) +
    scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "1 hour", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
    theme_bw()
  #we only want the middle high tide here, so we don't need to subset more, only to the max of here
  max_sept17list<-lapply(subset_sept17, maxWater)
  mean_sept17list<-lapply(max_sept17list, meanWater)
  
  #check visually the max and mean
  max_sept17<-do.call("bind_rows", max_sept17list) #function from dplyr to merge all dataframes from a list into one dataframe
  max_sept17$wavelogger.ID2<- as.character(max_sept17$wavelogger.ID2)
  ggplot(max_sept17, aes(x=date,y = significantWaveHeight.m, fill=wavelogger.ID2 )) + ##plot of the most seaward sensors and most landward (marsh)
    geom_point(aes(col=wavelogger.ID2, size=2)) +
    scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "15 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
    theme_bw()
  mean_sept17<-do.call("bind_rows", mean_sept17list) #function from dplyr to merge all dataframes from a list into one dataframe
  mean_sept17$wavelogger.ID2<- as.character(mean_sept17$wavelogger.ID2)
  ggplot(mean_sept17, aes(x=meanWaterDepth.m,y = significantWaveHeight.m, fill=wavelogger.ID2 )) + ##plot of the most seaward sensors and most landward (marsh)
    geom_point(aes(col=wavelogger.ID2, size=2)) +
    theme_bw()
  mean_sept17["date"] <- "sept17"
  
  #save the means in a csv
  inputDirectory1 = 'C:/' #copy the address to the folder where you want to save the means
  setwd(inputDirectory1) #set working directory
  #write.csv(mean_sept17, file = "2019_09_17.csv")
  
  
  ##storm 2 october  -------------
  #create a function to obtain the days we want. From here we check the exact time of every interesting tide for following subset
  select_tide<- function (data) {
    subsetjan <- subset(data,
                        date > '2019-10-02 10:00:00' &
                          date < '2019-10-02 18:30:00')
  }
  
  subset_oct2<-lapply(xall, select_tide) # "x" is the list of element to which you want to apply the function. "Myfunction"is the function created previously
  
  #visually check subset
  oct2<-do.call("bind_rows", subset_oct2)
  ggplot(oct2, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
    geom_line(aes(col=wavelogger.ID)) +
    scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "1 hour", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
    theme_bw()
  #we only want the middle high tide here, so we don't need to subset more, only to the max of here
  max_oct2list<-lapply(subset_oct2, maxWater)
  mean_oct2list<-lapply(max_oct2list, meanWater)
  
  #check visually the max and mean
  max_oct2<-do.call("bind_rows", max_oct2list) #function from dplyr to merge all dataframes from a list into one dataframe
  max_oct2$wavelogger.ID2<- as.character(max_oct2$wavelogger.ID2)
  ggplot(max_oct2, aes(x=date,y = significantWaveHeight.m, fill=wavelogger.ID2 )) + ##plot of the most seaward sensors and most landward (marsh)
    geom_point(aes(col=wavelogger.ID2, size=2)) +
    scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "15 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
    theme_bw()
  mean_oct2<-do.call("bind_rows", mean_oct2list) #function from dplyr to merge all dataframes from a list into one dataframe
  mean_oct2$wavelogger.ID2<- as.character(mean_oct2$wavelogger.ID2)
  ggplot(mean_oct2, aes(x=meanWaterDepth.m,y = significantWaveHeight.m, fill=wavelogger.ID2 )) + ##plot of the most seaward sensors and most landward (marsh)
    geom_point(aes(col=wavelogger.ID2, size=2)) +
    theme_bw()
  mean_oct2["date"] <- "oct2"
  
  #save the means in a csv
  inputDirectory1 = 'C:/' #copy the address to the folder where you want to save the means
  setwd(inputDirectory1) #set working directory
  #write.csv(mean_oct2, file = "2019_10_02.csv")
  
  

## Analysis period 3 part2: 5Nov 2019 - 10Dec 2019 - for storm 10th december 2019- --------------
  # Function to select maximum water level of interesting tide--------
  #this function extracts the rows with maximum water level during the period of analysis. top_n: number of top rows you want to select
  # in period 3 the burst are every 1h and 10 minutes, we seelect 1 (so 1 hour)
  maxWater<- function (sensor_i) {
    max<-sensor_i %>%
      top_n(n = 1, wt = meanWaterDepth.m ) #now we are selecting 1 hour (every row is every 15 min, but change with the loggers settings)
  } #sensor_i corresponds to each sensor
  
  # to do the mean of the selected top rows (peak of the tide), use this function:
  meanWater<- function (sensor_i) {
    means<-sensor_i %>%
      summarise_at(vars(-date), list(~mean(., na.rm=TRUE))) #we don't need the variable change here so it doesn't matter if with the mean it changes
  }
  # load sensors uithuizen --------------------------------------------------------------
  inputDirectory1 = 'C:/' #copy the address to the folder containing the outputs from the waves analysis
  setwd(inputDirectory1) #set working directory
  
  s65 = read.csv('waveParameters_s65.csv') 
  s66 = read.csv('waveParameters_s66.csv') 
  s67 = read.csv('waveParameters_s67.csv') 
  s68 = read.csv('waveParameters_s68.csv') 
  s69 = read.csv('waveParameters_s69.csv') 
  s71 = read.csv('waveParameters_s71.csv') 
  
  #put the correct format to the "date"
  s65$date= as.POSIXct(s65$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s66$date= as.POSIXct(s66$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s67$date= as.POSIXct(s67$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s68$date= as.POSIXct(s68$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s69$date= as.POSIXct(s69$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s71$date= as.POSIXct(s71$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  
  #for future analysis of means, we save the wavelogger Id as number
  s65$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s65$wavelogger.ID)))
  s66$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s66$wavelogger.ID)))
  s67$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s67$wavelogger.ID)))
  s68$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s68$wavelogger.ID)))
  s69$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s69$wavelogger.ID)))
  s71$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s71$wavelogger.ID)))
  
  
  # load sensors eemshaven ------------------
  
  inputDirectory1 = 'C:/' #copy the address to the folder containing the outputs from the waves analysis
  setwd(inputDirectory1) #set working directory
  
  s62 = read.csv('waveParameters_s62.csv')
  s63 = read.csv('waveParameters_s63.csv') 
  s64 = read.csv('waveParameters_s64.csv') 
  
  #put the correct format to the "date"
  s62$date= as.POSIXct(s62$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s63$date= as.POSIXct(s63$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s64$date= as.POSIXct(s64$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  
  #for future analysis of means, we save the wavelogger Id as number
  s62$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s62$wavelogger.ID)))
  s63$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s63$wavelogger.ID)))
  s64$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s64$wavelogger.ID)))
  
  # load sensors de Andel ---------------
  inputDirectory1 = 'C:/' #copy the address to the folder containing the outputs from the waves analysis
  setwd(inputDirectory1) #set working directory
  
  s72 = read.csv('waveParameters_s72.csv') 
  s75 = read.csv('waveParameters_s75.csv')
  s76 = read.csv('waveParameters_s76.csv')
  
  #put the correct format to the "date"
  s72$date= as.POSIXct(s72$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s75$date= as.POSIXct(s75$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s76$date= as.POSIXct(s76$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  
  #for future analysis of means, we save the wavelogger Id as number
  s72$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s72$wavelogger.ID)))
  s75$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s75$wavelogger.ID)))
  s76$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s76$wavelogger.ID)))
  
  # load sensors Hol part2---------------
  inputDirectory1 = 'C:/' #copy the address to the folder containing the outputs from the waves analysis
  setwd(inputDirectory1) #set working directory
  
  s30 = read.csv('waveParameters_s30.csv') 
  s57 = read.csv('waveParameters_s57.csv')
  s58 = read.csv('waveParameters_s58.csv')
  s70 = read.csv('waveParameters_s70.csv')
  s73 = read.csv('waveParameters_s73.csv')
  
  #put the correct format to the "date"
  s30$date= as.POSIXct(s30$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s57$date= as.POSIXct(s57$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s58$date= as.POSIXct(s58$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s70$date= as.POSIXct(s70$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s73$date= as.POSIXct(s73$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  
  #for future analysis of means, we save the wavelogger Id as number
  s30$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s30$wavelogger.ID)))
  s57$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s57$wavelogger.ID)))
  s58$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s58$wavelogger.ID)))
  s70$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s70$wavelogger.ID)))
  s73$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s73$wavelogger.ID)))
  
  # load sensors zwa ---------------
  inputDirectory1 = 'C:/' #copy the address to the folder containing the outputs from the waves analysis
  setwd(inputDirectory1) #set working directory
  
  s53 = read.csv('waveParameters_s53.csv') 
  s54 = read.csv('waveParameters_s54.csv')
  s56 = read.csv('waveParameters_s56.csv')
  
  #put the correct format to the "date"
  s53$date= as.POSIXct(s53$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s54$date= as.POSIXct(s54$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s56$date= as.POSIXct(s56$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  
  #for future analysis of means, we save the wavelogger Id as number
  s53$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s53$wavelogger.ID)))
  s54$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s54$wavelogger.ID)))
  s56$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s56$wavelogger.ID)))
  # create the list of dataframes where you  want to apply the function: select by date + check plots period1------------------  
  xall<- list(s62,s63, s64, s65,s67,s68,s69,s66,s71,s72,s73,s75,s76, s70, s30, s53, s54, s56, s57, s58) ##list with all the sensors and all dates
  all_x<-do.call("bind_rows", xall) # from list to dataframe (to be able to use ggplot)
  #Check with a plot that all sensors overlap
  ggplot(all_x, aes(x=date,y = significantWaveHeight.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
    geom_line(aes(col=wavelogger.ID)) +
    scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "1 day", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
    theme_bw()
  
  #plot water levels from the different sensors. 
  ggplot() +
    #geom_line(data=s62, aes(x = date, y = meanWaterDepth.m), col= "red") +
    #geom_line(data=s63, aes(x = date, y = meanWaterDepth.m), col= "green") +
    #geom_line(data=s64, aes(x = date, y = meanWaterDepth.m), col= "blue") +
    # geom_line(data=s65, aes(x = date, y = meanWaterDepth.m), col= "grey") +
    # geom_line(data=s67, aes(x = date, y = meanWaterDepth.m), col= "grey") +
    geom_line(data=s68, aes(x = date, y = meanWaterDepth.m), col= "blue") +
    #geom_line(data=s56, aes(x = date, y = meanWaterDepth.m), col= "green") +
    # geom_line(data=s66, aes(x = date, y = meanWaterDepth.m), col= "grey") +
    # geom_line(data=s69, aes(x = date, y = meanWaterDepth.m), col= "green") +
    # geom_line(data=s71, aes(x = date, y = meanWaterDepth.m), col= "red") +
    # geom_line(data=s72, aes(x = date, y = meanWaterDepth.m), col= "green") +
    # geom_line(data=s73, aes(x = date, y = meanWaterDepth.m), col= "green") +
    # geom_line(data=s75, aes(x = date, y = meanWaterDepth.m), col= "red") +
    # geom_line(data=s76, aes(x = date, y = meanWaterDepth.m), col= "grey") +
    scale_x_datetime(labels = date_format("%Y-%m-%d %H"),date_breaks = "12 hours", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
    labs(x = "Date", y = "mean water level (m)") +
    theme_bw() 
  
  #plot significant wave height
  ggplot() +
    # geom_line(data=s65, aes(x = date, y = significantWaveHeight.m), col= "blue") +
    # geom_line(data=s67, aes(x = date, y = significantWaveHeight.m), col= "green") +
    geom_line(data=s68, aes(x = date, y = significantWaveHeight.m), col= "red") +
    # geom_line(data=s72, aes(x = date, y = significantWaveHeight.m), col= "blue") +
    # geom_line(data=s73, aes(x = date, y = significantWaveHeight.m), col= "green") +
    # geom_line(data=s75, aes(x = date, y = significantWaveHeight.m), col= "red") +
    # geom_line(data=s76, aes(x = date, y = significantWaveHeight.m), col= "grey") +
    scale_x_datetime(labels = date_format("%Y-%m-%d %H"),date_breaks = "1 day", guide = guide_axis(angle = 90)) +
    labs(x = "Date", y = "Hs") +
    theme_bw()    
  
  ##storm 10 december (runup)  ------------- 
  select_date<- function (data) {
    subset <- selectByDate(data, start = "2019-12-09", end = "2019-12-10") # to select specific "hours"we need a different function
  }
  
  subset_dec10<-lapply(xall, select_date) # "x" is the list of element to which you want to apply the function. "Myfunction"is the function created previously
  select_tide<- function (data) {
    subsetjan <- subset(data,
                        date > '2019-12-09 15:00:00' &
                          date < '2019-12-10 03:30:00')
  }
  subset_dec10<-lapply(xall, select_tide) # "x" is the list of element to which you want to apply the function. 
  #visually check subset
  dec10<-do.call("bind_rows", subset_dec10)
  ggplot(dec10, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
    geom_line(aes(col=wavelogger.ID)) +
    geom_point(aes(col=wavelogger.ID)) +
    scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "2 hours", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
    theme_bw()
  ggplot(dec10, aes(x=date,y = significantWaveHeight.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
    geom_line(aes(col=wavelogger.ID)) +
    geom_point(aes(col=wavelogger.ID)) +
    scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "2 hours", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
    theme_bw()
  
  #we only want the middle high tide here, so we don't need to subset more, only to the max of here
  max_dec10list<-lapply(subset_dec10, maxWater)
  mean_dec10list<-lapply(max_dec10list, meanWater)
  
  #check visually the max and mean
  max_dec10<-do.call("bind_rows", max_dec10list) #function from dplyr to merge all dataframes from a list into one dataframe
  max_dec10$wavelogger.ID2<- as.character(max_dec10$wavelogger.ID2)
  ggplot(max_dec10, aes(x=date,y = significantWaveHeight.m, fill=wavelogger.ID2 )) + ##plot of the most seaward sensors and most landward (marsh)
    geom_point(aes(col=wavelogger.ID2, size=2)) +
    scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "15 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
    theme_bw()
  mean_dec10<-do.call("bind_rows", mean_dec10list) #function from dplyr to merge all dataframes from a list into one dataframe
  mean_dec10$wavelogger.ID2<- as.character(mean_dec10$wavelogger.ID2)
  ggplot(mean_dec10, aes(x=meanWaterDepth.m,y = significantWaveHeight.m, fill=wavelogger.ID2 )) + ##plot of the most seaward sensors and most landward (marsh)
    geom_point(aes(col=wavelogger.ID2, size=2)) +
    theme_bw()
  mean_dec10["date"] <- "dec10"
  
  #save the means in a csv
  inputDirectory1 = 'C:/' #copy the address to the folder where you want to save the means
  setwd(inputDirectory1) #set working directory
  #write.csv(mean_dec10, file = "2019_12_10.csv")

## Analysis period 4: 8 Dec 2019 - 2 march 2020 ------------
  # Function to select maximum water level of interesting tide--------
  #this function extracts the rows with maximum water level during the period of analysis. top_n: number of top rows you want to select
  # in period 4 the burst are every 30 minutes, we select 2 (so 1 hour)
  maxWater<- function (sensor_i) {
    max<-sensor_i %>%
      top_n(n = 2, wt = meanWaterDepth.m ) #now we are selecting 1 hour (every row is every 15 min, but change with the loggers settings)
  } #sensor_i corresponds to each sensor
  
  # to do the mean of the selected top rows (peak of the tide), use this function:
  meanWater<- function (sensor_i) {
    means<-sensor_i %>%
      summarise_at(vars(-date), list(~mean(., na.rm=TRUE))) #we don't need the variable change here so it doesn't matter if with the mean it changes
  }
  # load sensors uithuizen --------------------------------------------------------------
  inputDirectory1 = 'C:/' #copy the address to the folder containing the outputs from the waves analysis
  setwd(inputDirectory1) #set working directory
  
  s65 = read.csv('waveParameters_s65.csv') 
  s66 = read.csv('waveParameters_s66.csv') 
  s67 = read.csv('waveParameters_s67.csv') 
  s68 = read.csv('waveParameters_s68.csv') 
  s69 = read.csv('waveParameters_s69.csv') 
  s71 = read.csv('waveParameters_s71.csv') 
  
  #put the correct format to the "date"
  s65$date= as.POSIXct(s65$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s66$date= as.POSIXct(s66$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s67$date= as.POSIXct(s67$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s68$date= as.POSIXct(s68$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s69$date= as.POSIXct(s69$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s71$date= as.POSIXct(s71$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  
  #for future analysis of means, we save the wavelogger Id as number
  s65$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s65$wavelogger.ID)))
  s66$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s66$wavelogger.ID)))
  s67$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s67$wavelogger.ID)))
  s68$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s68$wavelogger.ID)))
  s69$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s69$wavelogger.ID)))
  s71$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s71$wavelogger.ID)))
  

  # load sensors eemshaven ------------------
  
  inputDirectory1 = 'C:/' #copy the address to the folder containing the outputs from the waves analysis
  setwd(inputDirectory1) #set working directory
  
  s62 = read.csv('waveParameters_s62.csv') 
  s63 = read.csv('waveParameters_s63.csv') 
  s64 = read.csv('waveParameters_s64.csv') 
  
  #put the correct format to the "date"
  s62$date= as.POSIXct(s62$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s63$date= as.POSIXct(s63$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s64$date= as.POSIXct(s64$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  
  #for future analysis of means, we save the wavelogger Id as number
  s62$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s62$wavelogger.ID)))
  s63$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s63$wavelogger.ID)))
  s64$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s64$wavelogger.ID)))
  
  # load sensors de Andel ---------------
  inputDirectory1 = 'C:/' #copy the address to the folder containing the outputs from the waves analysis
  setwd(inputDirectory1) #set working directory
  
  s72 = read.csv('waveParameters_s72.csv') 
  s75 = read.csv('waveParameters_s75.csv')
  s76 = read.csv('waveParameters_s76.csv')
  
  #put the correct format to the "date"
  s72$date= as.POSIXct(s72$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s75$date= as.POSIXct(s75$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s76$date= as.POSIXct(s76$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  
  #for future analysis of means, we save the wavelogger Id as number
  s72$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s72$wavelogger.ID)))
  s75$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s75$wavelogger.ID)))
  s76$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s76$wavelogger.ID)))
  
  # load sensors Hol part1---------------
  inputDirectory1 = 'C:/' #copy the address to the folder containing the outputs from the waves analysis
  setwd(inputDirectory1) #set working directory
  
  s30 = read.csv('waveParameters_s30.csv') 
  s57 = read.csv('waveParameters_s57.csv')
  s58 = read.csv('waveParameters_s58.csv')
  s70 = read.csv('waveParameters_s70.csv')
  s73 = read.csv('waveParameters_s73.csv')
  
  #put the correct format to the "date"
  s30$date= as.POSIXct(s30$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s57$date= as.POSIXct(s57$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s58$date= as.POSIXct(s58$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s70$date= as.POSIXct(s70$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s73$date= as.POSIXct(s73$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  
  #for future analysis of means, we save the wavelogger Id as number
  s30$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s30$wavelogger.ID)))
  s57$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s57$wavelogger.ID)))
  s58$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s58$wavelogger.ID)))
  s70$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s70$wavelogger.ID)))
  s73$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s73$wavelogger.ID)))
  
  # load sensors zwa part 1 ---------------
  inputDirectory1 = 'C:/' #copy the address to the folder containing the outputs from the waves analysis
  setwd(inputDirectory1) #set working directory
  
  s53 = read.csv('waveParameters_s53.csv') 
  s54 = read.csv('waveParameters_s54.csv')
  s56 = read.csv('waveParameters_s56.csv')
  
  #put the correct format to the "date"
  s53$date= as.POSIXct(s53$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s54$date= as.POSIXct(s54$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  s56$date= as.POSIXct(s56$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
  
  #for future analysis of means, we save the wavelogger Id as number
  s53$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s53$wavelogger.ID)))
  s54$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s54$wavelogger.ID)))
  s56$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s56$wavelogger.ID)))
  
  # create the list of dataframes where you  want to apply the function: select by date + check plots period1------------------  
  xall<- list(s62,s63, s64, s65,s67,s68,s69,s66,s71,s72,s73,s75,s76, s70, s30, s53, s54, s56, s57, s58) ##list with all the sensors and all dates
  all_x<-do.call("bind_rows", xall) # from list to dataframe (to be able to use ggplot)
  #Check with a plot that all sensors overlap
  ggplot(all_x, aes(x=date,y = significantWaveHeight.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
    geom_line(aes(col=wavelogger.ID)) +
    scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "1 day", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
    theme_bw()
  ggplot(all_x, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
    geom_line(aes(col=wavelogger.ID)) +
    scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "1 day", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
    theme_bw()
  
  #plot water levels from the different sensors. 
  ggplot() +
    # geom_line(data=s62, aes(x = date, y = meanWaterDepth.m), col= "red") +
    #geom_line(data=s63, aes(x = date, y = meanWaterDepth.m), col= "green") +
    #geom_line(data=s64, aes(x = date, y = meanWaterDepth.m), col= "blue") +
    # geom_line(data=s65, aes(x = date, y = meanWaterDepth.m), col= "grey") +
    geom_line(data=s67, aes(x = date, y = meanWaterDepth.m), col= "grey") +
    # geom_line(data=s68, aes(x = date, y = meanWaterDepth.m), col= "blue") +
    #geom_line(data=s56, aes(x = date, y = meanWaterDepth.m), col= "green") +
    # geom_line(data=s66, aes(x = date, y = meanWaterDepth.m), col= "grey") +
    # geom_line(data=s69, aes(x = date, y = meanWaterDepth.m), col= "green") +
    # geom_line(data=s71, aes(x = date, y = meanWaterDepth.m), col= "red") +
    # geom_line(data=s72, aes(x = date, y = meanWaterDepth.m), col= "green") +
    # geom_line(data=s73, aes(x = date, y = meanWaterDepth.m), col= "green") +
    # geom_line(data=s75, aes(x = date, y = meanWaterDepth.m), col= "red") +
    # geom_line(data=s76, aes(x = date, y = meanWaterDepth.m), col= "grey") +
    scale_x_datetime(labels = date_format("%Y-%m-%d %H"),date_breaks = "12 hours", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
    labs(x = "Date", y = "mean water level (m)") +
    theme_bw() 
  
  #plot significant wave height
  ggplot() +
    # geom_line(data=s65, aes(x = date, y = significantWaveHeight.m), col= "blue") +
    # geom_line(data=s67, aes(x = date, y = significantWaveHeight.m), col= "green") +
    geom_line(data=s68, aes(x = date, y = significantWaveHeight.m), col= "red") +
    # geom_line(data=s72, aes(x = date, y = significantWaveHeight.m), col= "blue") +
    # geom_line(data=s73, aes(x = date, y = significantWaveHeight.m), col= "green") +
    # geom_line(data=s75, aes(x = date, y = significantWaveHeight.m), col= "red") +
    # geom_line(data=s76, aes(x = date, y = significantWaveHeight.m), col= "grey") +
    scale_x_datetime(labels = date_format("%Y-%m-%d %H"),date_breaks = "1 day", guide = guide_axis(angle = 90)) +
    labs(x = "Date", y = "Hs") +
    theme_bw()  
  
  ##storms 14 January 2020 -------------
  #create a function to obtain the days we want. From here we check the exact time of every interesting tide for following subset
  select_date<- function (data) {
    subset <- selectByDate(data, start = "2020-01-14", end = "2020-01-16") # to select specific "hours" we need a different function
  }
  subset_jan2020<-lapply(xall, select_date) # "x" is the list of element to which you want to apply the function. "Myfunction"is the function created previously
  
  
  #visually check subset. 
  jan<-do.call("bind_rows", subset_jan2020)
  ggplot(jan, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
    geom_line(aes(col=wavelogger.ID)) +
    scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "30 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
    theme_bw()
  ggplot(jan, aes(x=date,y = significantWaveHeight.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
    geom_line(aes(col=wavelogger.ID)) +
    scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "30 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
    theme_bw()
  
  #We are interested in 2 high  tides (with high water levels but also high waves), so we have to subset each tide
  ##subset 14 january 2020(jan14)
  select_tide<- function (data) {
    subset<- subset(data,
                    date > '2020-01-14 20:30:00' &
                      date < '2020-01-15 05:30:00')
  }
  subset_jan14<-lapply(xall, select_tide) # "x" is the list of element to which you want to apply the function. 
  #check visually
  jan14<-do.call("bind_rows", subset_jan14)
  ggplot(jan14, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
    geom_line(aes(col=wavelogger.ID)) +
    scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "30 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
    theme_bw()
  
  max_jan14list<-lapply(subset_jan14, maxWater)
  mean_jan14list<-lapply(max_jan14list, meanWater)
  
  #check visually the max and mean
  max_jan14<-do.call("bind_rows", max_jan14list) #function from dplyr to merge all dataframes from a list into one dataframe
  max_jan14$wavelogger.ID2<- as.character(max_jan14$wavelogger.ID2)
  ggplot(max_jan14, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID2 )) + ##plot of the most seaward sensors and most landward (marsh)
    geom_point(aes(col=wavelogger.ID2, size=2)) +
    scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "15 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
    theme_bw()
  mean_jan14<-do.call("bind_rows", mean_jan14list) #function from dplyr to merge all dataframes from a list into one dataframe
  mean_jan14$wavelogger.ID2<- as.character(mean_jan14$wavelogger.ID2)
  ggplot(mean_jan14, aes(x=meanWaterDepth.m,y = significantWaveHeight.m, fill=wavelogger.ID2 )) + ##plot of the most seaward sensors and most landward (marsh)
    geom_point(aes(col=wavelogger.ID2, size=2)) +
    theme_bw()
  mean_jan14["date"] <- "jan14"
  
  #save the means in a csv
  inputDirectory1 = 'C:/' #copy the address to the folder where you want to save the means
  setwd(inputDirectory1) #set working directory
  #write.csv(mean_jan14, file = "2020_01_14.csv")
  
  ##subset 16 january 2020(jan16)
  select_tide<- function (data) {
    subset<- subset(data,
                    date > '2020-01-15 22:00:00' &
                      date < '2020-01-16 06:30:00')
  }
  subset_jan16<-lapply(xall, select_tide) # "x" is the list of element to which you want to apply the function. 
  #check visually
  jan16<-do.call("bind_rows", subset_jan16)
  ggplot(jan16, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
    geom_line(aes(col=wavelogger.ID)) +
    scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "30 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
    theme_bw()
  
  max_jan16list<-lapply(subset_jan16, maxWater)
  mean_jan16list<-lapply(max_jan16list, meanWater)
  
  #check visually the max and mean
  max_jan16<-do.call("bind_rows", max_jan16list) #function from dplyr to merge all dataframes from a list into one dataframe
  max_jan16$wavelogger.ID2<- as.character(max_jan16$wavelogger.ID2)
  ggplot(max_jan16, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID2 )) + ##plot of the most seaward sensors and most landward (marsh)
    geom_point(aes(col=wavelogger.ID2, size=2)) +
    scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "15 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
    theme_bw()
  mean_jan16<-do.call("bind_rows", mean_jan16list) #function from dplyr to merge all dataframes from a list into one dataframe
  mean_jan16$wavelogger.ID2<- as.character(mean_jan16$wavelogger.ID2)
  ggplot(mean_jan16, aes(x=meanWaterDepth.m,y = significantWaveHeight.m, fill=wavelogger.ID2 )) + ##plot of the most seaward sensors and most landward (marsh)
    geom_point(aes(col=wavelogger.ID2, size=2)) +
    theme_bw()
  mean_jan16["date"] <- "jan16"
  
  #save the means in a csv
  inputDirectory1 = 'C:/' #copy the address to the folder where you want to save the means
  setwd(inputDirectory1) #set working directory
  #write.csv(mean_jan16, file = "2020_01_16.csv")
  
  ##storms 9 Feb 2020 -------------
  #create a function to obtain the days we want. From here we check the exact time of every interesting tide for following subset
  select_date<- function (data) {
    subset <- selectByDate(data, start = "2020-02-10", end = "2020-02-13") # to select specific "hours" we need a different function
  }
  subset_feb2020<-lapply(xall, select_date) # "x" is the list of element to which you want to apply the function. "Myfunction"is the function created previously
  
  
  #visually check subset. 
  feb<-do.call("bind_rows", subset_feb2020)
  ggplot(feb, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
    geom_line(aes(col=wavelogger.ID)) +
    scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "30 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
    theme_bw()
  
  #We are interested in the 5 highest tides (with high water levels but also high waves), so we have to subset each tide
      ##subset 1st storm 10th february 2020(feb10_1)
      select_tide<- function (data) {
        subset<- subset(data,
                            date > '2020-02-10 05:30:00' &
                              date < '2020-02-10 16:30:00')
      }
      subset_feb10_1<-lapply(xall, select_tide) # "x" is the list of element to which you want to apply the function. 
      #check visually
      feb10_1<-do.call("bind_rows", subset_feb10_1)
      ggplot(feb10_1, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_line(aes(col=wavelogger.ID)) +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "30 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
        theme_bw()
      
      max_feb10_1list<-lapply(subset_feb10_1, maxWater)
      mean_feb10_1list<-lapply(max_feb10_1list, meanWater)
      
      #check visually the max and mean
      max_feb10_1<-do.call("bind_rows", max_feb10_1list) #function from dplyr to merge all dataframes from a list into one dataframe
      max_feb10_1$wavelogger.ID2<- as.character(max_feb10_1$wavelogger.ID2)
      ggplot(max_feb10_1, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID2 )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_point(aes(col=wavelogger.ID2, size=2)) +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "15 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
        theme_bw()
      mean_feb10_1<-do.call("bind_rows", mean_feb10_1list) #function from dplyr to merge all dataframes from a list into one dataframe
      mean_feb10_1$wavelogger.ID2<- as.character(mean_feb10_1$wavelogger.ID2)
      ggplot(mean_feb10_1, aes(x=meanWaterDepth.m,y = significantWaveHeight.m, fill=wavelogger.ID2 )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_point(aes(col=wavelogger.ID2, size=2)) +
        theme_bw()
      mean_feb10_1["date"] <- "feb10_1"
      
      #save the means in a csv
      inputDirectory1 = 'C:/' #copy the address to the folder where you want to save the means
      setwd(inputDirectory1) #set working directory
      #write.csv(mean_feb10_1, file = "2020_02_10_storm1.csv")
      
      ##subset 2nd storm 10th february 2020(feb10_2)
      select_tide<- function (data) {
        subset<- subset(data,
                        date > '2020-02-10 19:00:00' &
                          date < '2020-02-11 05:00:00')
      }
      subset_feb10_2<-lapply(xall, select_tide) # "x" is the list of element to which you want to apply the function. 
      #check visually
      feb10_2<-do.call("bind_rows", subset_feb10_2)
      ggplot(feb10_2, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_line(aes(col=wavelogger.ID)) +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "30 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
        theme_bw()
      
      max_feb10_2list<-lapply(subset_feb10_2, maxWater)
      mean_feb10_2list<-lapply(max_feb10_2list, meanWater)
      
      #check visually the max and mean
      max_feb10_2<-do.call("bind_rows", max_feb10_2list) #function from dplyr to merge all dataframes from a list into one dataframe
      max_feb10_2$wavelogger.ID2<- as.character(max_feb10_2$wavelogger.ID2)
      ggplot(max_feb10_2, aes(x=date,y = significantWaveHeight.m, fill=wavelogger.ID2 )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_point(aes(col=wavelogger.ID2, size=2)) +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "30 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
        theme_bw()
      mean_feb10_2<-do.call("bind_rows", mean_feb10_2list) #function from dplyr to merge all dataframes from a list into one dataframe
      mean_feb10_2$wavelogger.ID2<- as.character(mean_feb10_2$wavelogger.ID2)
      ggplot(mean_feb10_2, aes(x=meanWaterDepth.m,y = significantWaveHeight.m, fill=wavelogger.ID2 )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_point(aes(col=wavelogger.ID2, size=2)) +
        theme_bw()
      mean_feb10_2["date"] <- "feb10_2"
      
      #save the means in a csv
      inputDirectory1 = 'C:/' #copy the address to the folder where you want to save the means
      setwd(inputDirectory1) #set working directory
      #write.csv(mean_feb10_2, file = "2020_02_10_storm2.csv")
      
      ##subset 3rd storm 10th february 2020(feb10_3)
      select_tide<- function (data) {
        subset<- subset(data,
                        date > '2020-02-11 06:30:00' &
                          date < '2020-02-11 17:00:00')
      }
      subset_feb10_3<-lapply(xall, select_tide) # "x" is the list of element to which you want to apply the function. 
      #check visually
      feb10_3<-do.call("bind_rows", subset_feb10_3)
      ggplot(feb10_3, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_line(aes(col=wavelogger.ID)) +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "30 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
        theme_bw()
      
      max_feb10_3list<-lapply(subset_feb10_3, maxWater)
      mean_feb10_3list<-lapply(max_feb10_3list, meanWater)
      
      #check visually the max and mean
      max_feb10_3<-do.call("bind_rows", max_feb10_3list) #function from dplyr to merge all dataframes from a list into one dataframe
      max_feb10_3$wavelogger.ID2<- as.character(max_feb10_3$wavelogger.ID2)
      ggplot(max_feb10_3, aes(x=date,y = significantWaveHeight.m, fill=wavelogger.ID2 )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_point(aes(col=wavelogger.ID2, size=2)) +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "30 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
        theme_bw()
      mean_feb10_3<-do.call("bind_rows", mean_feb10_3list) #function from dplyr to merge all dataframes from a list into one dataframe
      mean_feb10_3$wavelogger.ID2<- as.character(mean_feb10_3$wavelogger.ID2)
      ggplot(mean_feb10_3, aes(x=meanWaterDepth.m,y = significantWaveHeight.m, fill=wavelogger.ID2 )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_point(aes(col=wavelogger.ID2, size=2)) +
        theme_bw()
      mean_feb10_3["date"] <- "feb10_3"
      
      #save the means in a csv
      inputDirectory1 = 'C:/' #copy the address to the folder where you want to save the means
      setwd(inputDirectory1) #set working directory
      #write.csv(mean_feb10_3, file = "2020_02_10_storm3.csv")
  
      ##subset 4th storm 10th february 2020(feb10_4)
      select_tide<- function (data) {
        subset<- subset(data,
                        date > '2020-02-11 19:00:00' &
                          date < '2020-02-12 05:00:00')
      }
      subset_feb10_4<-lapply(xall, select_tide) # "x" is the list of element to which you want to apply the function. 
      #check visually
      feb10_4<-do.call("bind_rows", subset_feb10_4)
      ggplot(feb10_4, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_line(aes(col=wavelogger.ID)) +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "30 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
        theme_bw()
      
      max_feb10_4list<-lapply(subset_feb10_4, maxWater)
      mean_feb10_4list<-lapply(max_feb10_4list, meanWater)
      
      #check visually the max and mean
      max_feb10_4<-do.call("bind_rows", max_feb10_4list) #function from dplyr to merge all dataframes from a list into one dataframe
      max_feb10_4$wavelogger.ID2<- as.character(max_feb10_4$wavelogger.ID2)
      ggplot(max_feb10_4, aes(x=date,y = significantWaveHeight.m, fill=wavelogger.ID2 )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_point(aes(col=wavelogger.ID2, size=2)) +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "30 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
        theme_bw()
      mean_feb10_4<-do.call("bind_rows", mean_feb10_4list) #function from dplyr to merge all dataframes from a list into one dataframe
      mean_feb10_4$wavelogger.ID2<- as.character(mean_feb10_4$wavelogger.ID2)
      ggplot(mean_feb10_4, aes(x=meanWaterDepth.m,y = significantWaveHeight.m, fill=wavelogger.ID2 )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_point(aes(col=wavelogger.ID2, size=2)) +
        theme_bw()
      mean_feb10_4["date"] <- "feb10_4"
      
      #save the means in a csv
      inputDirectory1 = 'C:/' #copy the address to the folder where you want to save the means
      setwd(inputDirectory1) #set working directory
      #write.csv(mean_feb10_4, file = "2020_02_10_storm4.csv")
      
      ##subset 5th storm 10th february 2020(feb10_5)
      select_tide<- function (data) {
        subset<- subset(data,
                        date > '2020-02-12 08:00:00' &
                          date < '2020-02-12 18:00:00')
      }
      subset_feb10_5<-lapply(xall, select_tide) # "x" is the list of element to which you want to apply the function. 
      #check visually
      feb10_5<-do.call("bind_rows", subset_feb10_5)
      ggplot(feb10_5, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_line(aes(col=wavelogger.ID)) +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "30 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
        theme_bw()
      
      max_feb10_5list<-lapply(subset_feb10_5, maxWater)
      mean_feb10_5list<-lapply(max_feb10_5list, meanWater)
      
      #check visually the max and mean
      max_feb10_5<-do.call("bind_rows", max_feb10_5list) #function from dplyr to merge all dataframes from a list into one dataframe
      max_feb10_5$wavelogger.ID2<- as.character(max_feb10_5$wavelogger.ID2)
      ggplot(max_feb10_5, aes(x=date,y = significantWaveHeight.m, fill=wavelogger.ID2 )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_point(aes(col=wavelogger.ID2, size=2)) +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "30 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
        theme_bw()
      mean_feb10_5<-do.call("bind_rows", mean_feb10_5list) #function from dplyr to merge all dataframes from a list into one dataframe
      mean_feb10_5$wavelogger.ID2<- as.character(mean_feb10_5$wavelogger.ID2)
      ggplot(mean_feb10_5, aes(x=meanWaterDepth.m,y = significantWaveHeight.m, fill=wavelogger.ID2 )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_point(aes(col=wavelogger.ID2, size=2)) +
        theme_bw()
      mean_feb10_5["date"] <- "feb10_5"
      
      #save the means in a csv
      inputDirectory1 = 'C:/' #copy the address to the folder where you want to save the means
      setwd(inputDirectory1) #set working directory
      #write.csv(mean_feb10_5, file = "2020_02_10_storm5.csv")
      
      ##subset 6th storm 10th february 2020(feb10_6)
      select_tide<- function (data) {
        subset<- subset(data,
                        date > '2020-02-12 20:30:00' &
                          date < '2020-02-13 06:00:00')
      }
      subset_feb10_6<-lapply(xall, select_tide) # "x" is the list of element to which you want to apply the function. 
      #check visually
      feb10_6<-do.call("bind_rows", subset_feb10_6)
      ggplot(feb10_6, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_line(aes(col=wavelogger.ID)) +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "30 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
        theme_bw()
      
      max_feb10_6list<-lapply(subset_feb10_6, maxWater)
      mean_feb10_6list<-lapply(max_feb10_6list, meanWater)
      
      #check visually the max and mean
      max_feb10_6<-do.call("bind_rows", max_feb10_6list) #function from dplyr to merge all dataframes from a list into one dataframe
      max_feb10_6$wavelogger.ID2<- as.character(max_feb10_6$wavelogger.ID2)
      ggplot(max_feb10_6, aes(x=date,y = significantWaveHeight.m, fill=wavelogger.ID2 )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_point(aes(col=wavelogger.ID2, size=2)) +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "30 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
        theme_bw()
      mean_feb10_6<-do.call("bind_rows", mean_feb10_6list) #function from dplyr to merge all dataframes from a list into one dataframe
      mean_feb10_6$wavelogger.ID2<- as.character(mean_feb10_6$wavelogger.ID2)
      ggplot(mean_feb10_6, aes(x=meanWaterDepth.m,y = significantWaveHeight.m, fill=wavelogger.ID2 )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_point(aes(col=wavelogger.ID2, size=2)) +
        theme_bw()
      mean_feb10_6["date"] <- "feb10_6"
      
      #save the means in a csv
      inputDirectory1 = 'C:/' #copy the address to the folder where you want to save the means
      setwd(inputDirectory1) #set working directory
      #write.csv(mean_feb10_6, file = "2020_02_10_storm6.csv")
 
      
      

## Analysis period 5: 2 march 2020 - august 2020 ------------
      # Function to select maximum water level of interesting tide--------
      #this function extracts the rows with maximum water level during the period of analysis. top_n: number of top rows you want to select
      # in period 4 the burst are every 30 minutes, we select 2 (so 1 hour)
      maxWater<- function (sensor_i) {
        max<-sensor_i %>%
          top_n(n = 2, wt = meanWaterDepth.m ) #now we are selecting 1 hour (every row is every 15 min, but change with the loggers settings)
      } #sensor_i corresponds to each sensor
      
      # to do the mean of the selected top rows (peak of the tide), use this function:
      meanWater<- function (sensor_i) {
        means<-sensor_i %>%
          summarise_at(vars(-date), list(~mean(., na.rm=TRUE))) #we don't need the variable change here so it doesn't matter if with the mean it changes
      }
      # load sensors uithuizen --------------------------------------------------------------
      inputDirectory1 = 'C:/' #copy the address to the folder containing the outputs from the waves analysis
      setwd(inputDirectory1) #set working directory
      
      s65 = read.csv('waveParameters_65.csv') 
      s66 = read.csv('waveParameters_66.csv') 
      s67 = read.csv('waveParameters_67.csv') 
      s68 = read.csv('waveParameters_68.csv') 
      s69 = read.csv('waveParameters_69.csv') 
      s71 = read.csv('waveParameters_71.csv') 
      
      #put the correct format to the "date"
      s65$date= as.POSIXct(s65$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s66$date= as.POSIXct(s66$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s67$date= as.POSIXct(s67$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s68$date= as.POSIXct(s68$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s69$date= as.POSIXct(s69$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s71$date= as.POSIXct(s71$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      
      #for future analysis of means, we save the wavelogger Id as number
      s65$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s65$wavelogger.ID)))
      s66$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s66$wavelogger.ID)))
      s67$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s67$wavelogger.ID)))
      s68$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s68$wavelogger.ID)))
      s69$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s69$wavelogger.ID)))
      s71$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s71$wavelogger.ID)))
      
      
      # load sensors eemshaven ------------------
      
      inputDirectory1 = 'C:/' #copy the address to the folder containing the outputs from the waves analysis
      setwd(inputDirectory1) #set working directory
      
      s62 = read.csv('waveParameters_62.csv') 
      s63 = read.csv('waveParameters_63.csv') 
      s64 = read.csv('waveParameters_64.csv') 
      
      #put the correct format to the "date"
      s62$date= as.POSIXct(s62$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s63$date= as.POSIXct(s63$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s64$date= as.POSIXct(s64$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      
      #for future analysis of means, we save the wavelogger Id as number
      s62$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s62$wavelogger.ID)))
      s63$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s63$wavelogger.ID)))
      s64$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s64$wavelogger.ID)))
      
      # load sensors de Andel ---------------
      inputDirectory1 = 'C:/' #copy the address to the folder containing the outputs from the waves analysis
      setwd(inputDirectory1) #set working directory
      
      s72 = read.csv('waveParameters_72.csv') 
      s75 = read.csv('waveParameters_75.csv')
      s76 = read.csv('waveParameters_76.csv')
      
      #put the correct format to the "date"
      s72$date= as.POSIXct(s72$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s75$date= as.POSIXct(s75$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s76$date= as.POSIXct(s76$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      
      #for future analysis of means, we save the wavelogger Id as number
      s72$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s72$wavelogger.ID)))
      s75$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s75$wavelogger.ID)))
      s76$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s76$wavelogger.ID)))
      
      # load sensors Hol ---------------
      inputDirectory1 = 'C:/' #copy the address to the folder containing the outputs from the waves analysis
      setwd(inputDirectory1) #set working directory
      
      s30 = read.csv('waveParameters_30.csv') 
      s57 = read.csv('waveParameters_57.csv')
      s58 = read.csv('waveParameters_58.csv')
      s70 = read.csv('waveParameters_70.csv')
      s73 = read.csv('waveParameters_73.csv')
      
      #put the correct format to the "date"
      s30$date= as.POSIXct(s30$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s57$date= as.POSIXct(s57$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s58$date= as.POSIXct(s58$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s70$date= as.POSIXct(s70$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s73$date= as.POSIXct(s73$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      
      #for future analysis of means, we save the wavelogger Id as number
      s30$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s30$wavelogger.ID)))
      s57$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s57$wavelogger.ID)))
      s58$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s58$wavelogger.ID)))
      s70$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s70$wavelogger.ID)))
      s73$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s73$wavelogger.ID)))
      
      # load sensors zwa  ---------------
      inputDirectory1 = 'C:/' #copy the address to the folder containing the outputs from the waves analysis
      setwd(inputDirectory1) #set working directory
      
      s53 = read.csv('waveParameters_53.csv') 
      s54 = read.csv('waveParameters_54.csv')
      s56 = read.csv('waveParameters_56.csv')
      
      #put the correct format to the "date"
      s53$date= as.POSIXct(s53$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s54$date= as.POSIXct(s54$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s56$date= as.POSIXct(s56$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      
      #for future analysis of means, we save the wavelogger Id as number
      s53$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s53$wavelogger.ID)))
      s54$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s54$wavelogger.ID)))
      s56$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s56$wavelogger.ID)))
      
      # create the list of dataframes where you  want to apply the function: select by date + check plots period1------------------  
      xall<- list(s62,s63, s64, s65,s67,s68,s69,s66,s71,s72,s73,s75,s76, s70, s30, s53, s54, s56, s57, s58) ##list with all the sensors and all dates
      all_x<-do.call("bind_rows", xall) # from list to dataframe (to be able to use ggplot)
      #Check with a plot that all sensors overlap
      ggplot(all_x, aes(x=date,y = significantWaveHeight.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_line(aes(col=wavelogger.ID)) +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "1 day", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
        theme_bw()
      ggplot(all_x, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_line(aes(col=wavelogger.ID)) +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "1 day", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
        theme_bw()
      
      #plot water levels from the different sensors. 
      ggplot() +
        # geom_line(data=s62, aes(x = date, y = meanWaterDepth.m), col= "red") +
        #geom_line(data=s63, aes(x = date, y = meanWaterDepth.m), col= "green") +
        #geom_line(data=s64, aes(x = date, y = meanWaterDepth.m), col= "blue") +
        # geom_line(data=s65, aes(x = date, y = meanWaterDepth.m), col= "grey") +
        geom_line(data=s67, aes(x = date, y = meanWaterDepth.m), col= "grey") +
         geom_line(data=s68, aes(x = date, y = meanWaterDepth.m), col= "blue") +
        #geom_line(data=s56, aes(x = date, y = meanWaterDepth.m), col= "green") +
        # geom_line(data=s66, aes(x = date, y = meanWaterDepth.m), col= "grey") +
        # geom_line(data=s69, aes(x = date, y = meanWaterDepth.m), col= "green") +
        # geom_line(data=s71, aes(x = date, y = meanWaterDepth.m), col= "red") +
        # geom_line(data=s72, aes(x = date, y = meanWaterDepth.m), col= "green") +
        # geom_line(data=s73, aes(x = date, y = meanWaterDepth.m), col= "green") +
        # geom_line(data=s75, aes(x = date, y = meanWaterDepth.m), col= "red") +
        # geom_line(data=s76, aes(x = date, y = meanWaterDepth.m), col= "grey") +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H"),date_breaks = "1 day", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
        labs(x = "Date", y = "mean water level (m)") +
        theme_bw() 
      
      #plot significant wave height
      ggplot() +
        # geom_line(data=s65, aes(x = date, y = significantWaveHeight.m), col= "blue") +
        geom_line(data=s67, aes(x = date, y = significantWaveHeight.m), col= "green") +
        #geom_line(data=s62, aes(x = date, y = significantWaveHeight.m), col= "blue") +
        geom_line(data=s68, aes(x = date, y = significantWaveHeight.m), col= "red") +
        # geom_line(data=s72, aes(x = date, y = significantWaveHeight.m), col= "blue") +
        # geom_line(data=s73, aes(x = date, y = significantWaveHeight.m), col= "green") +
        # geom_line(data=s75, aes(x = date, y = significantWaveHeight.m), col= "red") +
        # geom_line(data=s76, aes(x = date, y = significantWaveHeight.m), col= "grey") +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H"),date_breaks = "1 day", guide = guide_axis(angle = 90)) +
        labs(x = "Date", y = "Hs") +
        theme_bw() 
      
      ##storm 12 march 2020 -------------
      select_tide<- function (data) {
        subset<- subset(data,
                        date > '2020-03-12 04:00:00' &
                          date < '2020-03-12 17:30:00')
      }
      subset_march12<-lapply(xall, select_tide) # "x" is the list of element to which you want to apply the function. 
      #check visually
      march12<-do.call("bind_rows", subset_march12)
      march12$wavelogger.ID<-as.factor(march12$wavelogger.ID)
      ggplot(march12, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_line(aes(col=wavelogger.ID)) +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "12 hours", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
        theme_bw()
      
      max_march12list<-lapply(subset_march12, maxWater)
      mean_march12list<-lapply(max_march12list, meanWater)
      
      #check visually the max and mean
      max_march12<-do.call("bind_rows", max_march12list) #function from dplyr to merge all dataframes from a list into one dataframe
      max_march12$wavelogger.ID<- as.character(max_march12$wavelogger.ID)
      ggplot(max_march12, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_point(aes(col=wavelogger.ID, size=2)) +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "15 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
        theme_bw()
      mean_march12<-do.call("bind_rows", mean_march12list) #function from dplyr to merge all dataframes from a list into one dataframe
      mean_march12$wavelogger.ID<- as.character(mean_march12$wavelogger.ID)
      ggplot(mean_march12, aes(x=meanWaterDepth.m,y = significantWaveHeight.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_point(aes(col=wavelogger.ID, size=2)) +
        theme_bw()
      mean_march12["date"] <- "march12"
      
      #save the means in a csv
      inputDirectory1 = 'C:/' #copy the address to the folder where you want to save the means
      setwd(inputDirectory1) #set working directory
      #write.csv(mean_march12, file = "2020_03_12.csv")
      
      
      ##storm 7 july 2020 -------------
      select_tide<- function (data) {
        subset<- subset(data,
                        date > '2020-07-06 07:00:00' &
                          date < '2020-07-06 15:00:00')
      }
      subset_jul7<-lapply(xall, select_tide) # "x" is the list of element to which you want to apply the function. 
      #check visually
      jul7<-do.call("bind_rows", subset_jul7)
      jul7$wavelogger.ID<-as.factor(jul7$wavelogger.ID)
      ggplot(jul7, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_line(aes(col=wavelogger.ID)) +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "1 hour", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
        theme_bw()
      
      max_jul7list<-lapply(subset_jul7, maxWater)
      mean_jul7list<-lapply(max_jul7list, meanWater)
      
      #check visually the max and mean
      max_jul7<-do.call("bind_rows", max_jul7list) #function from dplyr to merge all dataframes from a list into one dataframe
      max_jul7$wavelogger.ID<- as.character(max_jul7$wavelogger.ID)
      ggplot(max_jul7, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_point(aes(col=wavelogger.ID, size=2)) +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "15 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
        theme_bw()
      mean_jul7<-do.call("bind_rows", mean_jul7list) #function from dplyr to merge all dataframes from a list into one dataframe
      mean_jul7$wavelogger.ID<- as.character(mean_jul7$wavelogger.ID)
      ggplot(mean_jul7, aes(x=meanWaterDepth.m,y = significantWaveHeight.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_point(aes(col=wavelogger.ID, size=2)) +
        theme_bw()
      mean_jul7["date"] <- "jul7"
      
      #save the means in a csv
      inputDirectory1 = 'C:/' #copy the address to the folder where you want to save the means
      setwd(inputDirectory1) #set working directory
      #write.csv(mean_jul7, file = "2020_07_07.csv")
      
      
## Analysis period 6: 1 august 2020 - 8 december 2020 ------------
  # Function to select maximum water level of interesting tide--------
      #this function extracts the rows with maximum water level during the period of analysis. top_n: number of top rows you want to select
      # in period 6 the burst are every 30 minutes, we select 2 (so 1 hour)
      maxWater<- function (sensor_i) {
        max<-sensor_i %>%
          top_n(n = 2, wt = meanWaterDepth.m ) #now we are selecting 1 hour (every row is every 15 min, but change with the loggers settings)
      } #sensor_i corresponds to each sensor
      
      # to do the mean of the selected top rows (peak of the tide), use this function:
      meanWater<- function (sensor_i) {
        means<-sensor_i %>%
          summarise_at(vars(-date), list(~mean(., na.rm=TRUE))) #we don't need the variable change here so it doesn't matter if with the mean it changes
      }
      # Function to select maximum water level of interesting tide--------
      #this function extracts the rows with maximum water level during the period of analysis. top_n: number of top rows you want to select
      # in period 4 the burst are every 30 minutes, we select 2 (so 1 hour)
      maxWater<- function (sensor_i) {
        max<-sensor_i %>%
          top_n(n = 2, wt = meanWaterDepth.m ) #now we are selecting 1 hour (every row is every 15 min, but change with the loggers settings)
      } #sensor_i corresponds to each sensor
      
      # to do the mean of the selected top rows (peak of the tide), use this function:
      meanWater<- function (sensor_i) {
        means<-sensor_i %>%
          summarise_at(vars(-date), list(~mean(., na.rm=TRUE))) #we don't need the variable change here so it doesn't matter if with the mean it changes
      }
      # load sensors uithuizen --------------------------------------------------------------
      inputDirectory1 = 'C:/' #copy the address to the folder containing the outputs from the waves analysis
      setwd(inputDirectory1) #set working directory
      
      s65 = read.csv('waveParameters_65.csv') 
      s66 = read.csv('waveParameters_66.csv') 
      s67 = read.csv('waveParameters_67.csv') 
      s68 = read.csv('waveParameters_68.csv') 
      s69 = read.csv('waveParameters_69.csv') 
      s71 = read.csv('waveParameters_71.csv') 
      
      #put the correct format to the "date"
      s65$date= as.POSIXct(s65$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s66$date= as.POSIXct(s66$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s67$date= as.POSIXct(s67$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s68$date= as.POSIXct(s68$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s69$date= as.POSIXct(s69$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s71$date= as.POSIXct(s71$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      
      #for future analysis of means, we save the wavelogger Id as number
      s65$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s65$wavelogger.ID)))
      s66$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s66$wavelogger.ID)))
      s67$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s67$wavelogger.ID)))
      s68$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s68$wavelogger.ID)))
      s69$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s69$wavelogger.ID)))
      s71$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s71$wavelogger.ID)))
      
      
      # load sensors eemshaven ------------------
      
      inputDirectory1 = 'C:/' #copy the address to the folder containing the outputs from the waves analysis
      setwd(inputDirectory1) #set working directory
      
      s62 = read.csv('waveParameters_62.csv') 
      s63 = read.csv('waveParameters_63.csv') 
      s64 = read.csv('waveParameters_64.csv') 
      
      #put the correct format to the "date"
      s62$date= as.POSIXct(s62$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s63$date= as.POSIXct(s63$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s64$date= as.POSIXct(s64$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      
      #for future analysis of means, we save the wavelogger Id as number
      s62$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s62$wavelogger.ID)))
      s63$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s63$wavelogger.ID)))
      s64$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s64$wavelogger.ID)))
      
      # load sensors de Andel ---------------
      inputDirectory1 = 'C:/' #copy the address to the folder containing the outputs from the waves analysis
      setwd(inputDirectory1) #set working directory
      
      s72 = read.csv('waveParameters_72.csv') 
      s75 = read.csv('waveParameters_75.csv')
      s76 = read.csv('waveParameters_76.csv')
      
      #put the correct format to the "date"
      s72$date= as.POSIXct(s72$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s75$date= as.POSIXct(s75$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s76$date= as.POSIXct(s76$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      
      #for future analysis of means, we save the wavelogger Id as number
      s72$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s72$wavelogger.ID)))
      s75$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s75$wavelogger.ID)))
      s76$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s76$wavelogger.ID)))
      
      # load sensors Hol part1---------------
      inputDirectory1 = 'C:/' #copy the address to the folder containing the outputs from the waves analysis
      setwd(inputDirectory1) #set working directory
      
      s30 = read.csv('waveParameters_30.csv') 
      s57 = read.csv('waveParameters_57.csv')
      s58 = read.csv('waveParameters_58.csv')
      s70 = read.csv('waveParameters_70.csv')
      s73 = read.csv('waveParameters_73.csv')
      
      #put the correct format to the "date"
      s30$date= as.POSIXct(s30$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s57$date= as.POSIXct(s57$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s58$date= as.POSIXct(s58$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s70$date= as.POSIXct(s70$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s73$date= as.POSIXct(s73$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      
      #for future analysis of means, we save the wavelogger Id as number
      s30$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s30$wavelogger.ID)))
      s57$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s57$wavelogger.ID)))
      s58$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s58$wavelogger.ID)))
      s70$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s70$wavelogger.ID)))
      s73$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s73$wavelogger.ID)))
      
      # load sensors zwa part 1 ---------------
      inputDirectory1 = 'C:/' #copy the address to the folder containing the outputs from the waves analysis
      setwd(inputDirectory1) #set working directory
      
      s53 = read.csv('waveParameters_53.csv') 
      s54 = read.csv('waveParameters_54.csv')
      s56 = read.csv('waveParameters_56.csv')
      
      #put the correct format to the "date"
      s53$date= as.POSIXct(s53$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s54$date= as.POSIXct(s54$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s56$date= as.POSIXct(s56$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      
      #for future analysis of means, we save the wavelogger Id as number
      s53$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s53$wavelogger.ID)))
      s54$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s54$wavelogger.ID)))
      s56$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s56$wavelogger.ID)))
      
      # create the list of dataframes where you  want to apply the function: select by date + check plots period1------------------  
      xall<- list(s62,s63, s64, s65,s67,s68,s69,s66,s71,s72,s73,s75,s76, s70, s30, s53, s54, s56, s57, s58) ##list with all the sensors and all dates
      all_x<-do.call("bind_rows", xall) # from list to dataframe (to be able to use ggplot)
      all_x$wavelogger.ID<-as.factor(all_x$wavelogger.ID)
      #Check with a plot that all sensors overlap
      ggplot(all_x, aes(x=date,y = significantWaveHeight.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_line(aes(col=wavelogger.ID)) +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "1 day", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
        theme_bw()
      ggplot(all_x, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_line(aes(col=wavelogger.ID)) +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "1 day", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
        theme_bw()
      
      #plot water levels from the different sensors. 
      ggplot() +
        #geom_line(data=s62, aes(x = date, y = meanWaterDepth.m), col= "red") +
        #geom_line(data=s63, aes(x = date, y = meanWaterDepth.m), col= "green") +
        #geom_line(data=s64, aes(x = date, y = meanWaterDepth.m), col= "pink") +
        #geom_line(data=s65, aes(x = date, y = meanWaterDepth.m), col= "green") +
        #geom_line(data=s67, aes(x = date, y = meanWaterDepth.m), col= "grey") +
        geom_line(data=s68, aes(x = date, y = meanWaterDepth.m), col= "blue") +
        #geom_line(data=s56, aes(x = date, y = meanWaterDepth.m), col= "green") +
        # geom_line(data=s66, aes(x = date, y = meanWaterDepth.m), col= "grey") +
        # geom_line(data=s69, aes(x = date, y = meanWaterDepth.m), col= "green") +
        # geom_line(data=s71, aes(x = date, y = meanWaterDepth.m), col= "red") +
        # geom_line(data=s72, aes(x = date, y = meanWaterDepth.m), col= "green") +
        # geom_line(data=s73, aes(x = date, y = meanWaterDepth.m), col= "green") +
        # geom_line(data=s75, aes(x = date, y = meanWaterDepth.m), col= "red") +
        # geom_line(data=s76, aes(x = date, y = meanWaterDepth.m), col= "grey") +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H"),date_breaks = "1 day", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
        labs(x = "Date", y = "mean water level (m)") +
        theme_bw() 
      
      #plot significant wave height
      ggplot() +
        # geom_line(data=s65, aes(x = date, y = significantWaveHeight.m), col= "blue") +
        # geom_line(data=s67, aes(x = date, y = significantWaveHeight.m), col= "green") +
        geom_line(data=s68, aes(x = date, y = significantWaveHeight.m), col= "red") +
        # geom_line(data=s72, aes(x = date, y = significantWaveHeight.m), col= "blue") +
        # geom_line(data=s73, aes(x = date, y = significantWaveHeight.m), col= "green") +
        # geom_line(data=s75, aes(x = date, y = significantWaveHeight.m), col= "red") +
        # geom_line(data=s76, aes(x = date, y = significantWaveHeight.m), col= "grey") +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H"),date_breaks = "1 day", guide = guide_axis(angle = 90)) +
        labs(x = "Date", y = "Hs") +
        theme_bw()
      
      ##storm 26 august 2020 -------------
      select_tide<- function (data) {
        subset<- subset(data,
                        date > '2020-08-26 15:30:00' &
                          date < '2020-08-26 20:00:00')
      }
      subset_aug26<-lapply(xall, select_tide) # "x" is the list of element to which you want to apply the function. 
      #check visually
      aug26<-do.call("bind_rows", subset_aug26)
      aug26$wavelogger.ID<-as.factor(aug26$wavelogger.ID)
      ggplot(aug26, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_line(aes(col=wavelogger.ID)) +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "30 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
        theme_bw()
      
      max_aug26list<-lapply(subset_aug26, maxWater)
      mean_aug26list<-lapply(max_aug26list, meanWater)
      
      #check visually the max and mean
      max_aug26<-do.call("bind_rows", max_aug26list) #function from dplyr to merge all dataframes from a list into one dataframe
      max_aug26$wavelogger.ID<- as.character(max_aug26$wavelogger.ID)
      ggplot(max_aug26, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_point(aes(col=wavelogger.ID, size=2)) +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "15 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
        theme_bw()
      mean_aug26<-do.call("bind_rows", mean_aug26list) #function from dplyr to merge all dataframes from a list into one dataframe
      mean_aug26$wavelogger.ID<- as.character(mean_aug26$wavelogger.ID)
      ggplot(mean_aug26, aes(x=meanWaterDepth.m,y = significantWaveHeight.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_point(aes(col=wavelogger.ID, size=2)) +
        theme_bw()
      mean_aug26["date"] <- "aug26"
      
      #save the means in a csv
      inputDirectory1 = 'C:/' #copy the address to the folder where you want to save the means
      setwd(inputDirectory1) #set working directory
      #write.csv(mean_aug26, file = "2020_08_26.csv")
      
      ##storm 20 november 2020 -------------
      select_tide<- function (data) {
        subset<- subset(data,
                        date > '2020-11-19 21:00:00' &
                          date < '2020-11-20 07:30:00')
      }
      subset_nov20<-lapply(xall, select_tide) # "x" is the list of element to which you want to apply the function. 
      #check visually
      nov20<-do.call("bind_rows", subset_nov20)
      nov20$wavelogger.ID<-as.factor(nov20$wavelogger.ID)
      ggplot(nov20, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_line(aes(col=wavelogger.ID)) +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "30 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
        theme_bw()
      
      max_nov20list<-lapply(subset_nov20, maxWater)
      mean_nov20list<-lapply(max_nov20list, meanWater)
      
      #check visually the max and mean
      max_nov20<-do.call("bind_rows", max_nov20list) #function from dplyr to merge all dataframes from a list into one dataframe
      max_nov20$wavelogger.ID<- as.character(max_nov20$wavelogger.ID)
      ggplot(max_nov20, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_point(aes(col=wavelogger.ID, size=2)) +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "15 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
        theme_bw()
      mean_nov20<-do.call("bind_rows", mean_nov20list) #function from dplyr to merge all dataframes from a list into one dataframe
      mean_nov20$wavelogger.ID<- as.character(mean_nov20$wavelogger.ID)
      ggplot(mean_nov20, aes(x=meanWaterDepth.m,y = significantWaveHeight.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_point(aes(col=wavelogger.ID, size=2)) +
        theme_bw()
      mean_nov20["date"] <- "nov20"
      
      #save the means in a csv
      inputDirectory1 = 'C:/' #copy the address to the folder where you want to save the means
      setwd(inputDirectory1) #set working directory
      #write.csv(mean_nov20, file = "2020_11_20.csv")
      
      ##storm 1 december 2020 -------------
        select_tide<- function (data) {
        subset<- subset(data,
                        date > '2020-12-01 07:30:00' &
                          date < '2020-12-01 16:30:00')
      }
      subset_dec1<-lapply(xall, select_tide) # "x" is the list of element to which you want to apply the function. 
      #check visually
      dec1<-do.call("bind_rows", subset_dec1)
      dec1$wavelogger.ID<-as.factor(dec1$wavelogger.ID)
      ggplot(dec1, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_line(aes(col=wavelogger.ID)) +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "30 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
        theme_bw()
      
      max_dec1list<-lapply(subset_dec1, maxWater)
      mean_dec1list<-lapply(max_dec1list, meanWater)
      
      #check visually the max and mean
      max_dec1<-do.call("bind_rows", max_dec1list) #function from dplyr to merge all dataframes from a list into one dataframe
      max_dec1$wavelogger.ID<- as.character(max_dec1$wavelogger.ID)
      ggplot(max_dec1, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_point(aes(col=wavelogger.ID, size=2)) +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "15 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
        theme_bw()
      mean_dec1<-do.call("bind_rows", mean_dec1list) #function from dplyr to merge all dataframes from a list into one dataframe
      mean_dec1$wavelogger.ID<- as.character(mean_dec1$wavelogger.ID)
      ggplot(mean_dec1, aes(x=meanWaterDepth.m,y = significantWaveHeight.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_point(aes(col=wavelogger.ID, size=2)) +
        theme_bw()
      mean_dec1["date"] <- "dec1"
      
      #save the means in a csv
      inputDirectory1 = 'C:/' #copy the address to the folder where you want to save the means
      setwd(inputDirectory1) #set working directory
      #write.csv(mean_dec1, file = "2020_12_01.csv")

## Analysis period 7: 9 december 2020 - march 2021 END ----------
      # Function to select maximum water level of interesting tide--------
      #this function extracts the rows with maximum water level during the period of analysis. top_n: number of top rows you want to select
      # in period 7 the burst are every 30 minutes, we select 2 (so 1 hour)
      maxWater<- function (sensor_i) {
        max<-sensor_i %>%
          top_n(n = 2, wt = meanWaterDepth.m ) #now we are selecting 1 hour (every row is every 15 min, but change with the loggers settings)
      } #sensor_i corresponds to each sensor
      
      # to do the mean of the selected top rows (peak of the tide), use this function:
      meanWater<- function (sensor_i) {
        means<-sensor_i %>%
          summarise_at(vars(-date), list(~mean(., na.rm=TRUE))) #we don't need the variable change here so it doesn't matter if with the mean it changes
      }
      # load sensors uithuizen --------------------------------------------------------------
      inputDirectory1 = 'C:/' #copy the address to the folder containing the outputs from the waves analysis
      setwd(inputDirectory1) #set working directory
      
      s65 = read.csv('waveParameters_65.csv') 
      s66 = read.csv('waveParameters_66.csv') 
      s67 = read.csv('waveParameters_67.csv') 
      s68 = read.csv('waveParameters_68.csv') 
      s69 = read.csv('waveParameters_69.csv') 
      s71 = read.csv('waveParameters_71.csv') 
      
      #put the correct format to the "date"
      s65$date= as.POSIXct(s65$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s66$date= as.POSIXct(s66$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s67$date= as.POSIXct(s67$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s68$date= as.POSIXct(s68$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s69$date= as.POSIXct(s69$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s71$date= as.POSIXct(s71$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      
      #for future analysis of means, we save the wavelogger Id as number
      s65$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s65$wavelogger.ID)))
      s66$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s66$wavelogger.ID)))
      s67$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s67$wavelogger.ID)))
      s68$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s68$wavelogger.ID)))
      s69$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s69$wavelogger.ID)))
      s71$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s71$wavelogger.ID)))
      
      
      # load sensors eemshaven ------------------
      
      inputDirectory1 = 'C:/' #copy the address to the folder containing the outputs from the waves analysis
      setwd(inputDirectory1) #set working directory
      
      s62 = read.csv('waveParameters_62.csv') 
      s63 = read.csv('waveParameters_63.csv') 
      s64 = read.csv('waveParameters_64.csv') 
      
      #put the correct format to the "date"
      s62$date= as.POSIXct(s62$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s63$date= as.POSIXct(s63$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s64$date= as.POSIXct(s64$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      
      #for future analysis of means, we save the wavelogger Id as number
      s62$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s62$wavelogger.ID)))
      s63$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s63$wavelogger.ID)))
      s64$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s64$wavelogger.ID)))
      
      # load sensors de Andel ---------------
      inputDirectory1 = 'C:/' #copy the address to the folder containing the outputs from the waves analysis
      setwd(inputDirectory1) #set working directory
      
      s72 = read.csv('waveParameters_72.csv') 
      s75 = read.csv('waveParameters_75.csv')
      s76 = read.csv('waveParameters_76.csv')
      
      #put the correct format to the "date"
      s72$date= as.POSIXct(s72$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s75$date= as.POSIXct(s75$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s76$date= as.POSIXct(s76$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      
      #for future analysis of means, we save the wavelogger Id as number
      s72$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s72$wavelogger.ID)))
      s75$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s75$wavelogger.ID)))
      s76$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s76$wavelogger.ID)))
      
      # load sensors Hol ---------------
      inputDirectory1 = 'C:/' #copy the address to the folder containing the outputs from the waves analysis
      setwd(inputDirectory1) #set working directory
      
      s30 = read.csv('waveParameters_30.csv') 
      s57 = read.csv('waveParameters_57.csv')
      s58 = read.csv('waveParameters_58.csv')
      s70 = read.csv('waveParameters_70.csv')
      s73 = read.csv('waveParameters_73.csv')
      
      #put the correct format to the "date"
      s30$date= as.POSIXct(s30$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s57$date= as.POSIXct(s57$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s58$date= as.POSIXct(s58$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s70$date= as.POSIXct(s70$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s73$date= as.POSIXct(s73$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      
      #for future analysis of means, we save the wavelogger Id as number
      s30$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s30$wavelogger.ID)))
      s57$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s57$wavelogger.ID)))
      s58$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s58$wavelogger.ID)))
      s70$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s70$wavelogger.ID)))
      s73$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s73$wavelogger.ID)))
      
      # load sensors zwa  ---------------
      inputDirectory1 = 'C:/' #copy the address to the folder containing the outputs from the waves analysis
      setwd(inputDirectory1) #set working directory
      
      s53 = read.csv('waveParameters_53.csv') 
      s54 = read.csv('waveParameters_54.csv')
      s56 = read.csv('waveParameters_56.csv')
      
      #put the correct format to the "date"
      s53$date= as.POSIXct(s53$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s54$date= as.POSIXct(s54$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      s56$date= as.POSIXct(s56$date, "%Y-%m-%d %H:%M:%S", tz="UTC")
      
      #for future analysis of means, we save the wavelogger Id as number
      s53$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s53$wavelogger.ID)))
      s54$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s54$wavelogger.ID)))
      s56$wavelogger.ID2<-as.numeric(gsub("s", "", paste(s56$wavelogger.ID)))
      
      # create the list of dataframes where you  want to apply the function: select by date + check plots period1------------------  
      xall<- list(s62,s63, s64, s65,s67,s68,s69,s66,s71,s72,s73,s75,s76, s70, s30, s53, s54, s56, s57, s58) ##list with all the sensors and all dates
      all_x<-do.call("bind_rows", xall) # from list to dataframe (to be able to use ggplot)
      #Check with a plot that all sensors overlap
      ggplot(all_x, aes(x=date,y = significantWaveHeight.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_line(aes(col=wavelogger.ID)) +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "1 day", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
        theme_bw()
      ggplot(all_x, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_line(aes(col=wavelogger.ID)) +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "1 day", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
        theme_bw()
      
      #plot water levels from the different sensors. 
      ggplot() +
        # geom_line(data=s62, aes(x = date, y = meanWaterDepth.m), col= "red") +
        #geom_line(data=s63, aes(x = date, y = meanWaterDepth.m), col= "green") +
        #geom_line(data=s64, aes(x = date, y = meanWaterDepth.m), col= "blue") +
        # geom_line(data=s65, aes(x = date, y = meanWaterDepth.m), col= "grey") +
        geom_line(data=s67, aes(x = date, y = meanWaterDepth.m), col= "grey") +
        geom_line(data=s68, aes(x = date, y = meanWaterDepth.m), col= "blue") +
        #geom_line(data=s56, aes(x = date, y = meanWaterDepth.m), col= "green") +
        # geom_line(data=s66, aes(x = date, y = meanWaterDepth.m), col= "grey") +
        # geom_line(data=s69, aes(x = date, y = meanWaterDepth.m), col= "green") +
        # geom_line(data=s71, aes(x = date, y = meanWaterDepth.m), col= "red") +
        # geom_line(data=s72, aes(x = date, y = meanWaterDepth.m), col= "green") +
        # geom_line(data=s73, aes(x = date, y = meanWaterDepth.m), col= "green") +
        # geom_line(data=s75, aes(x = date, y = meanWaterDepth.m), col= "red") +
        # geom_line(data=s76, aes(x = date, y = meanWaterDepth.m), col= "grey") +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H"),date_breaks = "12 hours", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
        labs(x = "Date", y = "mean water level (m)") +
        theme_bw() 
      
      #plot significant wave height
      ggplot() +
        # geom_line(data=s65, aes(x = date, y = significantWaveHeight.m), col= "blue") +
        geom_line(data=s67, aes(x = date, y = significantWaveHeight.m), col= "green") +
        geom_line(data=s62, aes(x = date, y = significantWaveHeight.m), col= "blue") +
        geom_line(data=s68, aes(x = date, y = significantWaveHeight.m), col= "red") +
        # geom_line(data=s72, aes(x = date, y = significantWaveHeight.m), col= "blue") +
        # geom_line(data=s73, aes(x = date, y = significantWaveHeight.m), col= "green") +
        # geom_line(data=s75, aes(x = date, y = significantWaveHeight.m), col= "red") +
        # geom_line(data=s76, aes(x = date, y = significantWaveHeight.m), col= "grey") +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H"),date_breaks = "1 day", guide = guide_axis(angle = 90)) +
        labs(x = "Date", y = "Hs") +
        theme_bw() 
      ##storm 13 january 2021 -------------
      select_tide<- function (data) {
        subset<- subset(data,
                        date > '2021-01-12 15:00:00' &
                          date < '2021-01-13 03:30:00')
      }
      subset_jan13<-lapply(xall, select_tide) # "x" is the list of element to which you want to apply the function. 
      #check visually
      jan13<-do.call("bind_rows", subset_jan13)
      jan13$wavelogger.ID<-as.factor(jan13$wavelogger.ID)
      ggplot(jan13, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_line(aes(col=wavelogger.ID)) +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "12 hours", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
        theme_bw()
      
      max_jan13list<-lapply(subset_jan13, maxWater)
      mean_jan13list<-lapply(max_jan13list, meanWater)
      
      #check visually the max and mean
      max_jan13<-do.call("bind_rows", max_jan13list) #function from dplyr to merge all dataframes from a list into one dataframe
      max_jan13$wavelogger.ID<- as.character(max_jan13$wavelogger.ID)
      ggplot(max_jan13, aes(x=date,y = meanWaterDepth.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_point(aes(col=wavelogger.ID, size=2)) +
        scale_x_datetime(labels = date_format("%Y-%m-%d %H-%M"),date_breaks = "15 min", guide = guide_axis(angle = 90)) + #it can also be every few hours for example:date_breaks = "12 hours" or "1 day"
        theme_bw()
      mean_jan13<-do.call("bind_rows", mean_jan13list) #function from dplyr to merge all dataframes from a list into one dataframe
      mean_jan13$wavelogger.ID<- as.character(mean_jan13$wavelogger.ID)
      ggplot(mean_jan13, aes(x=meanWaterDepth.m,y = significantWaveHeight.m, fill=wavelogger.ID )) + ##plot of the most seaward sensors and most landward (marsh)
        geom_point(aes(col=wavelogger.ID, size=2)) +
        theme_bw()
      mean_jan13["date"] <- "jan13"
      
      #save the means in a csv
      inputDirectory1 = 'C:/' #copy the address to the folder where you want to save the means
      setwd(inputDirectory1) #set working directory
      #write.csv(mean_jan13, file = "2021_01_13.csv")
      
      
     

## merge all outputs---------------
      #first add the location of each sensors + coordinates in each period
      #PERIOD 1 ----------
      coord_jan2019<-rbind(mean_jan1,mean_jan8_1, mean_jan8_2, mean_jan8_3)
      coord_jan2019$location_transect <- coord_jan2019$wavelogger.ID2
     
      coord_jan2019$location_transect[which(coord_jan2019$location_transect == "62")] <- "eems_dike"
      coord_jan2019$location_transect[which(coord_jan2019$location_transect == "63")] <- "eems_160m"
      coord_jan2019$location_transect[which(coord_jan2019$location_transect == "64")] <- "eems_315m"
      coord_jan2019$location_transect[which(coord_jan2019$location_transect == "65")] <- "uit_mud_dike"
      coord_jan2019$location_transect[which(coord_jan2019$location_transect == "66")] <- "uit_mud_300m"
      coord_jan2019$location_transect[which(coord_jan2019$location_transect == "67")] <- "uit_narrow"
      coord_jan2019$location_transect[which(coord_jan2019$location_transect == "68")] <- "uit_marsh_dike"
      coord_jan2019$location_transect[which(coord_jan2019$location_transect == "69")] <- "uit_marsh_100m"
      coord_jan2019$location_transect[which(coord_jan2019$location_transect == "71")] <- "uit_marsh_edge"
      coord_jan2019$location_transect[which(coord_jan2019$location_transect == "72")] <- "andel_dike"
      coord_jan2019$location_transect[which(coord_jan2019$location_transect == "73")] <- "andel_50m"
      coord_jan2019$location_transect[which(coord_jan2019$location_transect == "75")] <- "andel_marsh_edge"
      coord_jan2019$location_transect[which(coord_jan2019$location_transect == "76")] <- "andel_behind_kwelder"
 
      coord_jan2019$X <- coord_jan2019$location_transect
      coord_jan2019$Y <- coord_jan2019$location_transect
      
      coord_jan2019$X[which(coord_jan2019$X == "eems_dike")] <- "246316.673"
      coord_jan2019$X[which(coord_jan2019$X == "eems_160m")] <- "246175.283"
      coord_jan2019$X[which(coord_jan2019$X == "eems_315m")] <- "246020.908"
      coord_jan2019$X[which(coord_jan2019$X == "uit_mud_dike")] <- "240545.005"
      coord_jan2019$X[which(coord_jan2019$X == "uit_mud_300m")] <- "240470.227"
      coord_jan2019$X[which(coord_jan2019$X == "uit_narrow")] <- "240176.994"
      coord_jan2019$X[which(coord_jan2019$X == "uit_marsh_dike")] <- "239544.067"
      coord_jan2019$X[which(coord_jan2019$X == "uit_marsh_100m")] <- "239497.978"
      coord_jan2019$X[which(coord_jan2019$X == "uit_marsh_edge")] <- "239471.303"
      coord_jan2019$X[which(coord_jan2019$X == "andel_dike")] <- "230024.058"
      coord_jan2019$X[which(coord_jan2019$X == "andel_50m")] <- "230068.16"
      coord_jan2019$X[which(coord_jan2019$X == "andel_marsh_edge")] <- "230069.464"
      coord_jan2019$X[which(coord_jan2019$X == "andel_behind_kwelder")] <- "230064.073"
      
      coord_jan2019$Y[which(coord_jan2019$Y == "eems_dike")] <- "609559.022"
      coord_jan2019$Y[which(coord_jan2019$Y == "eems_160m")] <- "609753.71"
      coord_jan2019$Y[which(coord_jan2019$Y == "eems_315m")] <- "609952.585"
      coord_jan2019$Y[which(coord_jan2019$Y == "uit_mud_dike")] <- "608765.738"
      coord_jan2019$Y[which(coord_jan2019$Y == "uit_mud_300m")] <- "609023.834"
      coord_jan2019$Y[which(coord_jan2019$Y == "uit_narrow")] <- "608594.089"
      coord_jan2019$Y[which(coord_jan2019$Y == "uit_marsh_dike")] <- "608316.045"
      coord_jan2019$Y[which(coord_jan2019$Y == "uit_marsh_100m")] <- "608497.522"
      coord_jan2019$Y[which(coord_jan2019$Y == "uit_marsh_edge")] <- "608599.151"
      coord_jan2019$Y[which(coord_jan2019$Y == "andel_dike")] <- "605069.9"
      coord_jan2019$Y[which(coord_jan2019$Y == "andel_50m")] <- "605477.334"
      coord_jan2019$Y[which(coord_jan2019$Y == "andel_marsh_edge")] <- "605532.51"
      coord_jan2019$Y[which(coord_jan2019$Y == "andel_behind_kwelder")] <- "605558.241"
      
      #PERIOD 2--------------
      
      coord_march2019<-rbind(mean_march10, mean_march25)
      coord_march2019$location_transect <- coord_march2019$wavelogger.ID2
      
      coord_march2019$location_transect[which(coord_march2019$location_transect == "62")] <- "eems_dike"
      coord_march2019$location_transect[which(coord_march2019$location_transect == "63")] <- "eems_160m"
      coord_march2019$location_transect[which(coord_march2019$location_transect == "64")] <- "eems_315m"
      coord_march2019$location_transect[which(coord_march2019$location_transect == "65")] <- "uit_mud_dike"
      coord_march2019$location_transect[which(coord_march2019$location_transect == "66")] <- "uit_mud_300m"
      coord_march2019$location_transect[which(coord_march2019$location_transect == "67")] <- "uit_narrow"
      coord_march2019$location_transect[which(coord_march2019$location_transect == "68")] <- "uit_marsh_dike"
      coord_march2019$location_transect[which(coord_march2019$location_transect == "69")] <- "uit_marsh_100m"
      coord_march2019$location_transect[which(coord_march2019$location_transect == "71")] <- "uit_marsh_50m"
      coord_march2019$location_transect[which(coord_march2019$location_transect == "70")] <- "uit_marsh_edge"
      coord_march2019$location_transect[which(coord_march2019$location_transect == "72")] <- "andel_dike"
      coord_march2019$location_transect[which(coord_march2019$location_transect == "73")] <- "andel_50m"
      coord_march2019$location_transect[which(coord_march2019$location_transect == "75")] <- "andel_marsh_edge"
      coord_march2019$location_transect[which(coord_march2019$location_transect == "76")] <- "andel_behind_kwelder"
      
      coord_march2019$X <- coord_march2019$location_transect
      coord_march2019$Y <- coord_march2019$location_transect
      
      coord_march2019$X[which(coord_march2019$X == "eems_dike")] <- "246316.673"
      coord_march2019$X[which(coord_march2019$X == "eems_160m")] <- "246175.283"
      coord_march2019$X[which(coord_march2019$X == "eems_315m")] <- "246020.908"
      coord_march2019$X[which(coord_march2019$X == "uit_mud_dike")] <- "240545.005"
      coord_march2019$X[which(coord_march2019$X == "uit_mud_300m")] <- "240470.227"
      coord_march2019$X[which(coord_march2019$X == "uit_narrow")] <- "240176.994"
      coord_march2019$X[which(coord_march2019$X == "uit_marsh_dike")] <- "239544.067"
      coord_march2019$X[which(coord_march2019$X == "uit_marsh_100m")] <- "239497.978"
      coord_march2019$X[which(coord_march2019$X == "uit_marsh_50m")] <- "239482.160"
      coord_march2019$X[which(coord_march2019$X == "uit_marsh_edge")] <- "239471.303"
      coord_march2019$X[which(coord_march2019$X == "andel_dike")] <- "230024.058"
      coord_march2019$X[which(coord_march2019$X == "andel_50m")] <- "230068.16"
      coord_march2019$X[which(coord_march2019$X == "andel_marsh_edge")] <- "230069.464"
      coord_march2019$X[which(coord_march2019$X == "andel_behind_kwelder")] <- "230064.073"
      
      coord_march2019$Y[which(coord_march2019$Y == "eems_dike")] <- "609559.022"
      coord_march2019$Y[which(coord_march2019$Y == "eems_160m")] <- "609753.71"
      coord_march2019$Y[which(coord_march2019$Y == "eems_315m")] <- "609952.585"
      coord_march2019$Y[which(coord_march2019$Y == "uit_mud_dike")] <- "608765.738"
      coord_march2019$Y[which(coord_march2019$Y == "uit_mud_300m")] <- "609023.834"
      coord_march2019$Y[which(coord_march2019$Y == "uit_narrow")] <- "608594.089"
      coord_march2019$Y[which(coord_march2019$Y == "uit_marsh_dike")] <- "608316.045"
      coord_march2019$Y[which(coord_march2019$Y == "uit_marsh_100m")] <- "608497.522"
      coord_march2019$Y[which(coord_march2019$Y == "uit_marsh50m")] <- "608549.56"
      coord_march2019$Y[which(coord_march2019$Y == "uit_marsh_edge")] <- "608599.151"
      coord_march2019$Y[which(coord_march2019$Y == "andel_dike")] <- "605069.9"
      coord_march2019$Y[which(coord_march2019$Y == "andel_50m")] <- "605477.334"
      coord_march2019$Y[which(coord_march2019$Y == "andel_marsh_edge")] <- "605532.51"
      coord_march2019$Y[which(coord_march2019$Y == "andel_behind_kwelder")] <- "605558.241"
      
      #PERIOD 3 PART 1--------------
      
      coord_sept2019<-rbind(mean_sept30, mean_sept17, mean_oct2)
      coord_sept2019$location_transect <- coord_sept2019$wavelogger.ID2
      
      coord_sept2019$location_transect[which(coord_sept2019$location_transect == "62")] <- "eems_dike"
      coord_sept2019$location_transect[which(coord_sept2019$location_transect == "63")] <- "eems_160m"
      coord_sept2019$location_transect[which(coord_sept2019$location_transect == "64")] <- "eems_315m"
      coord_sept2019$location_transect[which(coord_sept2019$location_transect == "65")] <- "uit_mud_dike"
      coord_sept2019$location_transect[which(coord_sept2019$location_transect == "66")] <- "uit_mud_300m"
      coord_sept2019$location_transect[which(coord_sept2019$location_transect == "67")] <- "uit_narrow"
      coord_sept2019$location_transect[which(coord_sept2019$location_transect == "68")] <- "uit_marsh_dike"
      coord_sept2019$location_transect[which(coord_sept2019$location_transect == "69")] <- "uit_marsh_100m"
      coord_sept2019$location_transect[which(coord_sept2019$location_transect == "71")] <- "uit_marsh_50m"
      coord_sept2019$location_transect[which(coord_sept2019$location_transect == "70")] <- "uit_marsh_edge"
      coord_sept2019$location_transect[which(coord_sept2019$location_transect == "72")] <- "andel_dike"
      coord_sept2019$location_transect[which(coord_sept2019$location_transect == "73")] <- "andel_50m"
      coord_sept2019$location_transect[which(coord_sept2019$location_transect == "75")] <- "andel_marsh_edge"
      coord_sept2019$location_transect[which(coord_sept2019$location_transect == "76")] <- "andel_behind_kwelder"
      
      coord_sept2019$X <- coord_sept2019$location_transect
      coord_sept2019$Y <- coord_sept2019$location_transect
      
      coord_sept2019$X[which(coord_sept2019$X == "eems_dike")] <- "246316.673"
      coord_sept2019$X[which(coord_sept2019$X == "eems_160m")] <- "246175.283"
      coord_sept2019$X[which(coord_sept2019$X == "eems_315m")] <- "246020.908"
      coord_sept2019$X[which(coord_sept2019$X == "uit_mud_dike")] <- "240545.005"
      coord_sept2019$X[which(coord_sept2019$X == "uit_mud_300m")] <- "240470.227"
      coord_sept2019$X[which(coord_sept2019$X == "uit_narrow")] <- "240176.994"
      coord_sept2019$X[which(coord_sept2019$X == "uit_marsh_dike")] <- "239544.067"
      coord_sept2019$X[which(coord_sept2019$X == "uit_marsh_100m")] <- "239497.978"
      coord_sept2019$X[which(coord_sept2019$X == "uit_marsh_50m")] <- "239482.160"
      coord_sept2019$X[which(coord_sept2019$X == "uit_marsh_edge")] <- "239471.303"
      coord_sept2019$X[which(coord_sept2019$X == "andel_dike")] <- "230024.058"
      coord_sept2019$X[which(coord_sept2019$X == "andel_50m")] <- "230068.16"
      coord_sept2019$X[which(coord_sept2019$X == "andel_marsh_edge")] <- "230069.464"
      coord_sept2019$X[which(coord_sept2019$X == "andel_behind_kwelder")] <- "230064.073"
      
      coord_sept2019$Y[which(coord_sept2019$Y == "eems_dike")] <- "609559.022"
      coord_sept2019$Y[which(coord_sept2019$Y == "eems_160m")] <- "609753.71"
      coord_sept2019$Y[which(coord_sept2019$Y == "eems_315m")] <- "609952.585"
      coord_sept2019$Y[which(coord_sept2019$Y == "uit_mud_dike")] <- "608765.738"
      coord_sept2019$Y[which(coord_sept2019$Y == "uit_mud_300m")] <- "609023.834"
      coord_sept2019$Y[which(coord_sept2019$Y == "uit_narrow")] <- "608594.089"
      coord_sept2019$Y[which(coord_sept2019$Y == "uit_marsh_dike")] <- "608316.045"
      coord_sept2019$Y[which(coord_sept2019$Y == "uit_marsh_100m")] <- "608497.522"
      coord_sept2019$Y[which(coord_sept2019$Y == "uit_marsh50m")] <- "608549.56"
      coord_sept2019$Y[which(coord_sept2019$Y == "uit_marsh_edge")] <- "608599.151"
      coord_sept2019$Y[which(coord_sept2019$Y == "andel_dike")] <- "605069.9"
      coord_sept2019$Y[which(coord_sept2019$Y == "andel_50m")] <- "605477.334"
      coord_sept2019$Y[which(coord_sept2019$Y == "andel_marsh_edge")] <- "605532.51"
      coord_sept2019$Y[which(coord_sept2019$Y == "andel_behind_kwelder")] <- "605558.241"
      
      #PERIOD 3 part 2----------------------
      coord_dec2019<-rbind(mean_dec10) 
      coord_dec2019$location_transect <- coord_dec2019$wavelogger.ID2
      
      coord_dec2019$location_transect[which(coord_dec2019$location_transect == "62")] <- "eems_dike"
      coord_dec2019$location_transect[which(coord_dec2019$location_transect == "63")] <- "eems_160m"
      coord_dec2019$location_transect[which(coord_dec2019$location_transect == "64")] <- "eems_315m"
      coord_dec2019$location_transect[which(coord_dec2019$location_transect == "65")] <- "uit_mud_dike"
      coord_dec2019$location_transect[which(coord_dec2019$location_transect == "66")] <- "uit_mud_300m"
      coord_dec2019$location_transect[which(coord_dec2019$location_transect == "67")] <- "uit_narrow"
      coord_dec2019$location_transect[which(coord_dec2019$location_transect == "68")] <- "uit_marsh_dike"
      coord_dec2019$location_transect[which(coord_dec2019$location_transect == "69")] <- "uit_marsh_100m"
      coord_dec2019$location_transect[which(coord_dec2019$location_transect == "71")] <- "uit_marsh_edge"
      coord_dec2019$location_transect[which(coord_dec2019$location_transect == "72")] <- "andel_dike"
      coord_dec2019$location_transect[which(coord_dec2019$location_transect == "75")] <- "andel_marsh_edge"
      coord_dec2019$location_transect[which(coord_dec2019$location_transect == "76")] <- "andel_behind_kwelder"
      
      coord_dec2019$location_transect[which(coord_dec2019$location_transect == "70")] <- "hol_mud_dike"
      coord_dec2019$location_transect[which(coord_dec2019$location_transect == "57")] <- "hol_mud_300m"
      coord_dec2019$location_transect[which(coord_dec2019$location_transect == "73")] <- "hol_marsh_dike"
      coord_dec2019$location_transect[which(coord_dec2019$location_transect == "30")] <- "hol_marsh_100m"
      coord_dec2019$location_transect[which(coord_dec2019$location_transect == "58")] <- "hol_marsh_edge"
      coord_dec2019$location_transect[which(coord_dec2019$location_transect == "53")] <- "zwa_marsh_dike"
      coord_dec2019$location_transect[which(coord_dec2019$location_transect == "54")] <- "zwa_marsh_edge"
      coord_dec2019$location_transect[which(coord_dec2019$location_transect == "56")] <- "zwa_mud_dike"
      
      coord_dec2019$X <- coord_dec2019$location_transect
      coord_dec2019$Y <- coord_dec2019$location_transect
      
      coord_dec2019$X[which(coord_dec2019$X == "eems_dike")] <- "246316.673"
      coord_dec2019$X[which(coord_dec2019$X == "eems_160m")] <- "246175.283"
      coord_dec2019$X[which(coord_dec2019$X == "eems_315m")] <- "246020.908"
      coord_dec2019$X[which(coord_dec2019$X == "uit_mud_dike")] <- "240545.005"
      coord_dec2019$X[which(coord_dec2019$X == "uit_mud_300m")] <- "240470.227"
      coord_dec2019$X[which(coord_dec2019$X == "uit_narrow")] <- "240176.994"
      coord_dec2019$X[which(coord_dec2019$X == "uit_marsh_dike")] <- "239544.067"
      coord_dec2019$X[which(coord_dec2019$X == "uit_marsh_100m")] <- "239497.978"
      coord_dec2019$X[which(coord_dec2019$X == "uit_marsh_edge")] <- "239471.303"
      coord_dec2019$X[which(coord_dec2019$X == "andel_dike")] <- "230024.058"
      coord_dec2019$X[which(coord_dec2019$X == "andel_marsh_edge")] <- "230069.464"
      coord_dec2019$X[which(coord_dec2019$X == "andel_behind_kwelder")] <- "230064.073"
      coord_dec2019$X[which(coord_dec2019$X == "hol_mud_dike")] <- "191793.402"
      coord_dec2019$X[which(coord_dec2019$X == "hol_mud_300m")] <- "191709.866"
      coord_dec2019$X[which(coord_dec2019$X == "hol_marsh_dike")] <- "190769.55"
      coord_dec2019$X[which(coord_dec2019$X == "hol_marsh_100m")] <- "190724.462"
      coord_dec2019$X[which(coord_dec2019$X == "hol_marsh_edge")] <- "190702.363"
      coord_dec2019$X[which(coord_dec2019$X == "zwa_marsh_dike")] <- "171372.708"
      coord_dec2019$X[which(coord_dec2019$X == "zwa_marsh_edge")] <- "171239.522"
      coord_dec2019$X[which(coord_dec2019$X == "zwa_mud_dike")] <- "170258.771"
      
      coord_dec2019$Y[which(coord_dec2019$Y == "eems_dike")] <- "609559.022"
      coord_dec2019$Y[which(coord_dec2019$Y == "eems_160m")] <- "609753.71"
      coord_dec2019$Y[which(coord_dec2019$Y == "eems_315m")] <- "609952.585"
      coord_dec2019$Y[which(coord_dec2019$Y == "uit_mud_dike")] <- "608765.738"
      coord_dec2019$Y[which(coord_dec2019$Y == "uit_mud_300m")] <- "609023.834"
      coord_dec2019$Y[which(coord_dec2019$Y == "uit_narrow")] <- "608594.089"
      coord_dec2019$Y[which(coord_dec2019$Y == "uit_marsh_dike")] <- "608316.045"
      coord_dec2019$Y[which(coord_dec2019$Y == "uit_marsh_100m")] <- "608497.522"
      coord_dec2019$Y[which(coord_dec2019$Y == "uit_marsh_edge")] <- "608599.151"
      coord_dec2019$Y[which(coord_dec2019$Y == "andel_dike")] <- "605069.9"
      coord_dec2019$Y[which(coord_dec2019$Y == "andel_50m")] <- "605477.334"
      coord_dec2019$Y[which(coord_dec2019$Y == "andel_marsh_edge")] <- "605532.51"
      coord_dec2019$Y[which(coord_dec2019$Y == "andel_behind_kwelder")] <- "605558.241"
      coord_dec2019$Y[which(coord_dec2019$Y == "hol_mud_dike")] <- "600527.802"
      coord_dec2019$Y[which(coord_dec2019$Y == "hol_mud_300m")] <- "600802.347"
      coord_dec2019$Y[which(coord_dec2019$Y == "hol_marsh_dike")] <- "600136.672"
      coord_dec2019$Y[which(coord_dec2019$Y == "hol_marsh_100m")] <- "600311.799"
      coord_dec2019$Y[which(coord_dec2019$Y == "hol_marsh_edge")] <- "600415.951"
      coord_dec2019$Y[which(coord_dec2019$Y == "zwa_marsh_dike")] <- "591643.14"
      coord_dec2019$Y[which(coord_dec2019$Y == "zwa_marsh_edge")] <- "591924.68"
      coord_dec2019$Y[which(coord_dec2019$Y == "zwa_mud_dike")] <- "591474.403"
      
      
      #PERIOD 4 ----------
      coord_feb2020<-rbind(mean_feb10_1, mean_feb10_2, mean_feb10_3, mean_feb10_4, mean_feb10_5, mean_feb10_6, mean_jan14, mean_jan16) 
      coord_feb2020$location_transect <- coord_feb2020$wavelogger.ID2
      
      coord_feb2020$location_transect[which(coord_feb2020$location_transect == "62")] <- "eems_dike"
      coord_feb2020$location_transect[which(coord_feb2020$location_transect == "63")] <- "eems_160m"
      coord_feb2020$location_transect[which(coord_feb2020$location_transect == "64")] <- "eems_315m"
      coord_feb2020$location_transect[which(coord_feb2020$location_transect == "65")] <- "uit_mud_dike"
      coord_feb2020$location_transect[which(coord_feb2020$location_transect == "66")] <- "uit_mud_300m"
      coord_feb2020$location_transect[which(coord_feb2020$location_transect == "67")] <- "uit_narrow"
      coord_feb2020$location_transect[which(coord_feb2020$location_transect == "68")] <- "uit_marsh_dike"
      coord_feb2020$location_transect[which(coord_feb2020$location_transect == "69")] <- "uit_marsh_100m"
      coord_feb2020$location_transect[which(coord_feb2020$location_transect == "71")] <- "uit_marsh_edge"
      coord_feb2020$location_transect[which(coord_feb2020$location_transect == "72")] <- "andel_dike"
      coord_feb2020$location_transect[which(coord_feb2020$location_transect == "75")] <- "andel_marsh_edge"
      coord_feb2020$location_transect[which(coord_feb2020$location_transect == "76")] <- "andel_behind_kwelder"
      
      coord_feb2020$location_transect[which(coord_feb2020$location_transect == "70")] <- "hol_mud_dike"
      coord_feb2020$location_transect[which(coord_feb2020$location_transect == "57")] <- "hol_mud_300m"
      coord_feb2020$location_transect[which(coord_feb2020$location_transect == "73")] <- "hol_marsh_dike"
      coord_feb2020$location_transect[which(coord_feb2020$location_transect == "30")] <- "hol_marsh_100m"
      coord_feb2020$location_transect[which(coord_feb2020$location_transect == "58")] <- "hol_marsh_edge"
      coord_feb2020$location_transect[which(coord_feb2020$location_transect == "53")] <- "zwa_marsh_dike"
      coord_feb2020$location_transect[which(coord_feb2020$location_transect == "54")] <- "zwa_marsh_edge"
      coord_feb2020$location_transect[which(coord_feb2020$location_transect == "56")] <- "zwa_mud_dike"
      
      coord_feb2020$X <- coord_feb2020$location_transect
      coord_feb2020$Y <- coord_feb2020$location_transect
      
      coord_feb2020$X[which(coord_feb2020$X == "eems_dike")] <- "246316.673"
      coord_feb2020$X[which(coord_feb2020$X == "eems_160m")] <- "246175.283"
      coord_feb2020$X[which(coord_feb2020$X == "eems_315m")] <- "246020.908"
      coord_feb2020$X[which(coord_feb2020$X == "uit_mud_dike")] <- "240545.005"
      coord_feb2020$X[which(coord_feb2020$X == "uit_mud_300m")] <- "240470.227"
      coord_feb2020$X[which(coord_feb2020$X == "uit_narrow")] <- "240176.994"
      coord_feb2020$X[which(coord_feb2020$X == "uit_marsh_dike")] <- "239544.067"
      coord_feb2020$X[which(coord_feb2020$X == "uit_marsh_100m")] <- "239497.978"
      coord_feb2020$X[which(coord_feb2020$X == "uit_marsh_edge")] <- "239471.303"
      coord_feb2020$X[which(coord_feb2020$X == "andel_dike")] <- "230024.058"
      coord_feb2020$X[which(coord_feb2020$X == "andel_marsh_edge")] <- "230069.464"
      coord_feb2020$X[which(coord_feb2020$X == "andel_behind_kwelder")] <- "230064.073"
      coord_feb2020$X[which(coord_feb2020$X == "hol_mud_dike")] <- "191793.402"
      coord_feb2020$X[which(coord_feb2020$X == "hol_mud_300m")] <- "191709.866"
      coord_feb2020$X[which(coord_feb2020$X == "hol_marsh_dike")] <- "190769.55"
      coord_feb2020$X[which(coord_feb2020$X == "hol_marsh_100m")] <- "190724.462"
      coord_feb2020$X[which(coord_feb2020$X == "hol_marsh_edge")] <- "190702.363"
      coord_feb2020$X[which(coord_feb2020$X == "zwa_marsh_dike")] <- "171372.708"
      coord_feb2020$X[which(coord_feb2020$X == "zwa_marsh_edge")] <- "171239.522"
      coord_feb2020$X[which(coord_feb2020$X == "zwa_mud_dike")] <- "170258.771"
      
      coord_feb2020$Y[which(coord_feb2020$Y == "eems_dike")] <- "609559.022"
      coord_feb2020$Y[which(coord_feb2020$Y == "eems_160m")] <- "609753.71"
      coord_feb2020$Y[which(coord_feb2020$Y == "eems_315m")] <- "609952.585"
      coord_feb2020$Y[which(coord_feb2020$Y == "uit_mud_dike")] <- "608765.738"
      coord_feb2020$Y[which(coord_feb2020$Y == "uit_mud_300m")] <- "609023.834"
      coord_feb2020$Y[which(coord_feb2020$Y == "uit_narrow")] <- "608594.089"
      coord_feb2020$Y[which(coord_feb2020$Y == "uit_marsh_dike")] <- "608316.045"
      coord_feb2020$Y[which(coord_feb2020$Y == "uit_marsh_100m")] <- "608497.522"
      coord_feb2020$Y[which(coord_feb2020$Y == "uit_marsh_edge")] <- "608599.151"
      coord_feb2020$Y[which(coord_feb2020$Y == "andel_dike")] <- "605069.9"
      coord_feb2020$Y[which(coord_feb2020$Y == "andel_50m")] <- "605477.334"
      coord_feb2020$Y[which(coord_feb2020$Y == "andel_marsh_edge")] <- "605532.51"
      coord_feb2020$Y[which(coord_feb2020$Y == "andel_behind_kwelder")] <- "605558.241"
      coord_feb2020$Y[which(coord_feb2020$Y == "hol_mud_dike")] <- "600527.802"
      coord_feb2020$Y[which(coord_feb2020$Y == "hol_mud_300m")] <- "600802.347"
      coord_feb2020$Y[which(coord_feb2020$Y == "hol_marsh_dike")] <- "600136.672"
      coord_feb2020$Y[which(coord_feb2020$Y == "hol_marsh_100m")] <- "600311.799"
      coord_feb2020$Y[which(coord_feb2020$Y == "hol_marsh_edge")] <- "600415.951"
      coord_feb2020$Y[which(coord_feb2020$Y == "zwa_marsh_dike")] <- "591643.14"
      coord_feb2020$Y[which(coord_feb2020$Y == "zwa_marsh_edge")] <- "591924.68"
      coord_feb2020$Y[which(coord_feb2020$Y == "zwa_mud_dike")] <- "591474.403"
      
      #PERIOD 5 and 6 and 7 ----------
      
      coord_dec2020<-rbind(mean_march12, mean_dec1, mean_nov20, mean_jan13, mean_aug26, mean_jul7) 
      coord_dec2020$location_transect <- coord_dec2020$wavelogger.ID2
      
      coord_dec2020$location_transect[which(coord_dec2020$location_transect == "62")] <- "eems_dike"
      coord_dec2020$location_transect[which(coord_dec2020$location_transect == "63")] <- "eems_160m"
      coord_dec2020$location_transect[which(coord_dec2020$location_transect == "64")] <- "eems_315m"
      coord_dec2020$location_transect[which(coord_dec2020$location_transect == "65")] <- "uit_mud_dike"
      coord_dec2020$location_transect[which(coord_dec2020$location_transect == "66")] <- "uit_mud_300m"
      coord_dec2020$location_transect[which(coord_dec2020$location_transect == "67")] <- "uit_narrow"
      coord_dec2020$location_transect[which(coord_dec2020$location_transect == "68")] <- "uit_marsh_dike"
      coord_dec2020$location_transect[which(coord_dec2020$location_transect == "69")] <- "uit_marsh_100m"
      coord_dec2020$location_transect[which(coord_dec2020$location_transect == "71")] <- "uit_marsh_edge"
      coord_dec2020$location_transect[which(coord_dec2020$location_transect == "72")] <- "andel_dike"
      coord_dec2020$location_transect[which(coord_dec2020$location_transect == "75")] <- "andel_marsh_edge"
      coord_dec2020$location_transect[which(coord_dec2020$location_transect == "76")] <- "andel_behind_kwelder"
      
      coord_dec2020$location_transect[which(coord_dec2020$location_transect == "70")] <- "hol_mud_dike"
      coord_dec2020$location_transect[which(coord_dec2020$location_transect == "57")] <- "hol_mud_300m"
      coord_dec2020$location_transect[which(coord_dec2020$location_transect == "73")] <- "hol_marsh_dike"
      coord_dec2020$location_transect[which(coord_dec2020$location_transect == "30")] <- "hol_marsh_100m"
      coord_dec2020$location_transect[which(coord_dec2020$location_transect == "58")] <- "hol_marsh_edge"
      coord_dec2020$location_transect[which(coord_dec2020$location_transect == "53")] <- "zwa_marsh_dike"
      coord_dec2020$location_transect[which(coord_dec2020$location_transect == "54")] <- "zwa_marsh_edge"
      coord_dec2020$location_transect[which(coord_dec2020$location_transect == "56")] <- "zwa_mud_dike"
      
      coord_dec2020$X <- coord_dec2020$location_transect
      coord_dec2020$Y <- coord_dec2020$location_transect
      
      coord_dec2020$X[which(coord_dec2020$X == "eems_dike")] <- "246316.673"
      coord_dec2020$X[which(coord_dec2020$X == "eems_160m")] <- "246175.283"
      coord_dec2020$X[which(coord_dec2020$X == "eems_315m")] <- "246020.908"
      coord_dec2020$X[which(coord_dec2020$X == "uit_mud_dike")] <- "240545.005"
      coord_dec2020$X[which(coord_dec2020$X == "uit_mud_300m")] <- "240470.227"
      coord_dec2020$X[which(coord_dec2020$X == "uit_narrow")] <- "240176.994"
      coord_dec2020$X[which(coord_dec2020$X == "uit_marsh_dike")] <- "239544.067"
      coord_dec2020$X[which(coord_dec2020$X == "uit_marsh_100m")] <- "239497.978"
      coord_dec2020$X[which(coord_dec2020$X == "uit_marsh_edge")] <- "239471.303"
      coord_dec2020$X[which(coord_dec2020$X == "andel_dike")] <- "230024.058"
      coord_dec2020$X[which(coord_dec2020$X == "andel_marsh_edge")] <- "230069.464"
      coord_dec2020$X[which(coord_dec2020$X == "andel_behind_kwelder")] <- "230064.073"
      coord_dec2020$X[which(coord_dec2020$X == "hol_mud_dike")] <- "191793.402"
      coord_dec2020$X[which(coord_dec2020$X == "hol_mud_300m")] <- "191709.866"
      coord_dec2020$X[which(coord_dec2020$X == "hol_marsh_dike")] <- "190769.55"
      coord_dec2020$X[which(coord_dec2020$X == "hol_marsh_100m")] <- "190724.462"
      coord_dec2020$X[which(coord_dec2020$X == "hol_marsh_edge")] <- "190702.363"
      coord_dec2020$X[which(coord_dec2020$X == "zwa_marsh_dike")] <- "171372.708"
      coord_dec2020$X[which(coord_dec2020$X == "zwa_marsh_edge")] <- "171239.522"
      coord_dec2020$X[which(coord_dec2020$X == "zwa_mud_dike")] <- "170258.771"
      
      coord_dec2020$Y[which(coord_dec2020$Y == "eems_dike")] <- "609559.022"
      coord_dec2020$Y[which(coord_dec2020$Y == "eems_160m")] <- "609753.71"
      coord_dec2020$Y[which(coord_dec2020$Y == "eems_315m")] <- "609952.585"
      coord_dec2020$Y[which(coord_dec2020$Y == "uit_mud_dike")] <- "608765.738"
      coord_dec2020$Y[which(coord_dec2020$Y == "uit_mud_300m")] <- "609023.834"
      coord_dec2020$Y[which(coord_dec2020$Y == "uit_narrow")] <- "608594.089"
      coord_dec2020$Y[which(coord_dec2020$Y == "uit_marsh_dike")] <- "608316.045"
      coord_dec2020$Y[which(coord_dec2020$Y == "uit_marsh_100m")] <- "608497.522"
      coord_dec2020$Y[which(coord_dec2020$Y == "uit_marsh_edge")] <- "608599.151"
      coord_dec2020$Y[which(coord_dec2020$Y == "andel_dike")] <- "605069.9"
      coord_dec2020$Y[which(coord_dec2020$Y == "andel_50m")] <- "605477.334"
      coord_dec2020$Y[which(coord_dec2020$Y == "andel_marsh_edge")] <- "605532.51"
      coord_dec2020$Y[which(coord_dec2020$Y == "andel_behind_kwelder")] <- "605558.241"
      coord_dec2020$Y[which(coord_dec2020$Y == "hol_mud_dike")] <- "600527.802"
      coord_dec2020$Y[which(coord_dec2020$Y == "hol_mud_300m")] <- "600802.347"
      coord_dec2020$Y[which(coord_dec2020$Y == "hol_marsh_dike")] <- "600136.672"
      coord_dec2020$Y[which(coord_dec2020$Y == "hol_marsh_100m")] <- "600311.799"
      coord_dec2020$Y[which(coord_dec2020$Y == "hol_marsh_edge")] <- "600415.951"
      coord_dec2020$Y[which(coord_dec2020$Y == "zwa_marsh_dike")] <- "591643.14"
      coord_dec2020$Y[which(coord_dec2020$Y == "zwa_marsh_edge")] <- "591924.68"
      coord_dec2020$Y[which(coord_dec2020$Y == "zwa_mud_dike")] <- "591474.403"
      
      #save all in a csv-------------
      
      all_storms<-rbind(coord_jan2019, coord_march2019, coord_sept2019,coord_dec2019, coord_feb2020, coord_dec2020) 
      
      all_storms$Site <- all_storms$location_transect
      
      all_storms$Site[which(all_storms$Site == "eems_dike")] <- "eems"
      all_storms$Site[which(all_storms$Site == "eems_160m")] <- "eems"
      all_storms$Site[which(all_storms$Site == "eems_315m")] <- "eems"
      all_storms$Site[which(all_storms$Site == "uit_mud_dike")] <- "uit"
      all_storms$Site[which(all_storms$Site == "uit_mud_300m")] <- "uit"
      all_storms$Site[which(all_storms$Site == "uit_narrow")] <- "uit"
      all_storms$Site[which(all_storms$Site == "uit_marsh_dike")] <- "uit"
      all_storms$Site[which(all_storms$Site == "uit_marsh_100m")] <- "uit"
      all_storms$Site[which(all_storms$Site == "uit_marsh_50m")] <- "uit"
      all_storms$Site[which(all_storms$Site == "uit_marsh_edge")] <- "uit"
      all_storms$Site[which(all_storms$Site == "andel_dike")] <- "and"
      all_storms$Site[which(all_storms$Site == "andel_50m")] <- "and"
      all_storms$Site[which(all_storms$Site == "andel_marsh_edge")] <- "and"
      all_storms$Site[which(all_storms$Site == "andel_behind_kwelder")] <- "and"
      all_storms$Site[which(all_storms$Site == "hol_mud_dike")] <- "hol"
      all_storms$Site[which(all_storms$Site == "hol_mud_300m")] <- "hol"
      all_storms$Site[which(all_storms$Site == "hol_marsh_dike")] <- "hol"
      all_storms$Site[which(all_storms$Site == "hol_marsh_100m")] <- "hol"
      all_storms$Site[which(all_storms$Site == "hol_marsh_edge")] <- "hol"
      all_storms$Site[which(all_storms$Site == "zwa_marsh_dike")] <- "zwa"
      all_storms$Site[which(all_storms$Site == "zwa_marsh_edge")] <- "zwa"
      all_storms$Site[which(all_storms$Site == "zwa_mud_dike")] <- "zwa"
      
      ggplot(all_storms, aes(x=significantWaveHeight.m,y = meanWaterDepth.m)) +
        geom_point(aes(col=Site)) +
        theme_bw()+
        facet_wrap(.~date)
  
      ggplot(all_storms, aes(x=significantWaveHeight.m,y = meanWaterDepth.m)) + 
        geom_point(aes(col=wavelogger.ID2, shape=date)) +
        theme_bw()
      
      inputDirectory1 = 'C:/' #copy the address to the folder where you want to save the master file
      setwd(inputDirectory1) #set working directory
      #write.csv(all_storms, file = "all_storms.csv")
      
  
 